<%-- @Author:  Christopher Alexander (Dept. Anti-Money Laundering) --%>
<%-- @Version: v1.0 (Last Modified 8/3/09) --%>

<%@ page contentType="text/html; charset=utf-8" %>
<%@ page language="java" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-tiles.tld" prefix="tiles" %>
<%@ page import="com.sas.aml.util.ViewUtils" %>
<%@ page import="com.sas.aml.constants.ApplicationConstants" %>
<%@ page import="com.sas.aml.struts.action.TaskListAction" %>
<%@ page import="com.sas.aml.content.TaskListContent" %>
<%@ page import="com.sas.aml.service.SearchQueryFrameService" %>
<%@ page import="com.sas.aml.struts.form.TaskListForm"%>
<%@ page import="com.sas.aml.util.DatePickerUtil" %>
<%@ page import="com.sas.servlet.tbeans.html.DatePicker"%>
<%@ page import="java.text.SimpleDateFormat"%>
<%@ page import="java.text.DateFormat"%>
<%@ page import="java.util.Date"%>
<%@ page import="java.util.Locale" %>

<c:set var="localeKey">
<%=org.apache.struts.Globals.LOCALE_KEY%>
</c:set>
<fmt:setLocale value="${sessionScope[localeKey]}"/>

<fmt:setBundle basename="ApplicationResources"/>

<tiles:insert page="tiles/header.jsp">
	<tiles:put name="subtitle">
		<fmt:message key="taskList.title.txt"/>
	</tiles:put>
</tiles:insert>

<!-- insert banner with header graphics and sas logo -->
<tiles:insert page="tiles/banner_popup.jsp">
	<tiles:put name="helppage" value="tasklist.htm"/>
</tiles:insert>

<%-- insert mini navbar --%>
<tiles:insert page="tiles/reloadCloseOnlyNav.jsp">
	<tiles:put name="closeMsg">
		<fmt:message key="close.txt"/>
	</tiles:put>
</tiles:insert>

<%
	TaskListContent data = (TaskListContent) request.getAttribute("data");
%>

<!-- Task List JavaScript -->
<script type="text/Javascript">
var row_ID_index = <%= data.tasks.size() %>;

function addRows(numRows) {
	var field = document.getElementById("numrowsField");
	var value = numRows || field.value;//If numRows is null, use the value of the add Rows' number field

	if (value > 0) {
		var startingID = row_ID_index;
		for (var x=0; x<value; x++) {
			buildRow();
		}
		requestCalendarWidgets(value, startingID);
	}
};

function buildRow() {
	var table = document.getElementById("checklistTable");

	//--Form--//
	var form = document.createElement("<form name='TaskListForm' action = 'TaskListWindow' target = 'taskListQueryFrame'>");	//Form parameter name: DO NOT CHANGE!
	form.id		= 'form_'+row_ID_index;
	form.method = "post";

//--Hidden Form Fields--//
	//TaskDesc
	var taskDescField = document.createElement("<input type='hidden' name='taskDesc'>");	//Form parameter name: DO NOT CHANGE!
	taskDescField.id = 'taskDesc_'+row_ID_index;
	taskDescField.style.display = 'none';
	form.appendChild(taskDescField);
	//TaskID
	var taskIDField = document.createElement("<input type='hidden' name='taskID'>");	//Form parameter name: DO NOT CHANGE!
	taskIDField.value = -row_ID_index;
	taskIDField.style.display = 'none';
	taskIDField.id = 'taskID_'+row_ID_index;
	form.appendChild(taskIDField);

//--Row Definition / Cell Structure--//
	var row = table.insertRow(-1);//add new row to end of table

	row.id			= "row_"+row_ID_index;
	row.vAlign		= "middle";
	row.isNewTask	= true;
	row.isDeleted	= false;
	row.taskID		= -row_ID_index;//since this is a new task, give it an unused id for later replacement
	row.taskName	= null;
	row.taskDesc	= null;
	row.goalDate	= null;
	row.form		= form;
	row.appendChild(form);

	row.deleteRow	=	function() {
							//mark as Deleted
							this.isDeleted = true;

							this.style.display = "none";
						};

//--Checkbox--//
	var checkboxCell = document.createElement("td"); //insert new cell in row
	checkboxCell.align = "center";
	checkboxCell.vAlign = "middle";
	checkboxCell.className = "Text";
	checkboxCell.style.height="1";
	row.checkboxCell = checkboxCell;
	var checkbox = document.createElement("<input type='checkbox' name='checked'>");	//Form parameter name: DO NOT CHANGE!
	row.checkbox = checkbox;
	checkbox.checked = false;
	checkboxCell.appendChild(checkbox);
	checkboxCell.appendChild(document.createTextNode(" "));

	//Add to Form
	form.appendChild(checkboxCell);

//--Title Text Field--//
	var textCell = document.createElement("td"); //insert new cell in row
	textCell.vAlign = "middle";
	textCell.className = "Text";
	row.textCell = textCell;
	var taskNameField = document.createElement("<input type='text' name='taskName'>");	//Form parameter name: DO NOT CHANGE!
	taskNameField.size = "40";
	taskNameField.maxLength = "35";
	row.taskNameField = taskNameField;
	textCell.appendChild(taskNameField);

	//Add to Form
	form.appendChild(textCell);

//--Edit Icon--//
	var editIcon = document.createElement("img");
	editIcon.row = row;
	editIcon.onclick	=	function() {
								//copy date from widget field to form field
								this.row.goalDateFormField.value = this.row.goalDateField.value;

								var form = this.row.form;
								form.action = "TaskDescriptionWindow";
								form.target = "taskDescription";
								window.open('', form.target, 'width=600,height=455,resizable=0,scrollbars=0,status=yes');
								form.submit();
							};
	editIcon.src = "../images/Edit.gif";
	editIcon.alt = "<fmt:message key="taskList.tooltip.editDescription.txt"/>";
	editIcon.width = "16";
	textCell.appendChild(document.createTextNode(" "));
	textCell.appendChild(editIcon);

	row_ID_index++;
	refreshRowBackgrounds();
};

function requestCalendarWidgets(numCalendars, startingID) {
	var form = document.getElementById("row_"+startingID).form;
	form.action="./TaskListQueryFrame?actionType=<%= TaskListAction.CREATE_CALENDAR %>&numCalendars="+numCalendars+"&startingID="+startingID;
	form.target="taskListQueryFrame";	//Name of IFrame
	form.submit();
};

function receiveCalendarWidgets(cells) {
	for(var x=0; x<cells.length; x++) {
		var cell = cells[x];
		var row = document.getElementById(cell[0]);
		var goalDateCell = document.createElement("td");
		var form = row.form;

	//--Copy Widget Code--//
		goalDateCell.vAlign = "middle";
		goalDateCell.className = "Text";
		goalDateCell.innerHTML = cell[2].innerHTML;
		row.goalDateCell = goalDateCell;

		//Add to Form
		form.appendChild(goalDateCell);

		//goalDateCell.innerHTML = cell.innerHTML;
		row.goalDateField = document.getElementById(cell[1]);
		row.goalDateField.value = "";

	//--Add Delete Task Icon--//
		var deleteTaskIcon = document.createElement("img");
		deleteTaskIcon.row = row;
		deleteTaskIcon.onclick	=	function() {
										var answer = confirm("<fmt:message key="taskList.taskDescription.areYouSureDelTask.txt" />");
										if (answer) {
											this.row.deleteRow();

											//build out the alternating color bands
											refreshRowBackgrounds();
										}
									};
		deleteTaskIcon.src = "../images/Delete.gif";
		deleteTaskIcon.alt = "<fmt:message key="taskList.tooltip.deleteTask.txt"/>";

		//insert cell into calendar widget's table and put the del icon there
		var table = row.goalDateCell.getElementsByTagName("table")[0];
		var tempCell = table.rows[0].insertCell(-1);
		tempCell.appendChild(deleteTaskIcon);

		var goalDateFormField = document.createElement("<input type='hidden' name='goalDate'>");
		row.goalDateFormField = goalDateFormField;
		goalDateCell.appendChild(goalDateFormField);

	//--Execute Javascript in innerHTML--//
		var javascript = row.goalDateCell.getElementsByTagName("script");
		for (var y=0; y<javascript.length; y++) {
			eval(javascript[y].text);
		}
	}
};

function refreshRowBackgrounds() {
	var rows = document.getElementById("checklistTable").rows;

	var color = 0;
	for(var x=1; x<rows.length; x++) {//skip column headers row
		var row = rows[x];
		if (!row.isDeleted) {
			if (color % 2 == 1) {
				row.className	= "dataRow1_tableRow";
			} else {
				row.className	= "dataRow2_tableRow";
			}
			color++;
		}
	}
}

function handleChangesToData() {
	var rows = document.getElementById("checklistTable").rows;
	scanForData();

	//Start Recursive Save -- Each method is recursively called by the response from the IFrame
	scanForNewTasks();
};

function scanForData() {
	var rows = document.getElementById("checklistTable").rows;

	//Scan for data
	for(var x=1; x<rows.length; x++) {//skip column headers row
		var row = rows[x];
		var hasData = false;

		if (!(row.taskNameField.value == null || row.taskNameField.value == "")) {
			hasData = true;
		} else if (!(row.form.taskDesc.value == null || row.form.taskDesc.value == "")) {
			hasData = true;
		} else if (!(row.goalDateField.value == null || row.goalDateField.value == "")) {
			hasData = true;
		} else if (row.checkbox.checked == true) {
			hasData = true;
		}

		row.hasData = hasData;
	}
	//No need to call "scanForNewTasks()" as it is called in the method that calls this method,
	//immediately after this method returns.
	//
	//Since this method is purely JavaScript and does not have to worry about network lag.
};

var newTasks = new Array(0);
function scanForNewTasks() {
	var rows = document.getElementById("checklistTable").rows;

	//Scan for new tasks
	for(var x=1; x<rows.length; x++) {//skip column headers row
		var row = rows[x];
		if (row.isNewTask && !row.isDeleted && row.hasData) {
			newTasks.push(row);
		}
	}
	//Submit located tasks to the DB to be updated
	submitNewTasksToDB();
};

var newTasks_index = 0;//DON'T START AT 1; DOES NOT CONTAIN HEADER ELEMENT!
function submitNewTasksToDB() {
	//Submit New Tasks to the Database
	if (newTasks_index<newTasks.length) {//unsubmitted tasks remain
		var row = newTasks[newTasks_index];
		//Copy goalDate from input field to form field
		row.goalDateFormField.value = row.goalDateField.value;

		var form = row.form;
		form.action="./TaskListQueryFrame?caseID=<%=data.caseID%>&actionType=<%= TaskListAction.ADDITION %>";
		form.target="taskListQueryFrame";	//Name of IFrame
		form.submit();
		newTasks_index++;
	} else  {//all tasks have been submitted
		//call next method in the queue
		scanForModifiedTasks();
	}
};

var changedTasks = new Array(0);
function scanForModifiedTasks() {
	var rows = document.getElementById("checklistTable").rows;

	//Scan for modified tasks
	for(var x=1; x<rows.length; x++) {//skip column headers row
		var row = rows[x];

		if (!row.isNewTask && row.hasData) {//if not a new task
			//use else if so that the first change skips the rest of the compares
			var changed = false;

			if (row.taskNameField.value != row.taskName) {
				changed = true;
			} else if (row.form.taskDesc.value != row.taskDesc) {
				changed = true;
			} else if (row.goalDateField.value != row.goalDate) {
				changed = true;
			} else if (row.checkbox.checked != row.checked) {
				changed = true;
			}

			if (changed) {
				changedTasks.push(row);
			}
		}
	}
	//Submit located tasks to the DB to be updated
	submitModifiedTasksToDB();
};

var changedTasks_index = 0;//DON'T START AT 1; DOES NOT CONTAIN HEADER ELEMENT!
function submitModifiedTasksToDB() {
	//Submit modifications to the Database
	if (changedTasks_index<changedTasks.length) {//unsubmitted tasks remain
		var row = changedTasks[changedTasks_index];
		//Copy goalDate from input field to form field
		row.goalDateFormField.value = row.goalDateField.value;

		var form = row.form;
		form.action="./TaskListQueryFrame?caseID=<%=data.caseID%>&actionType=<%= TaskListAction.MODIFICATION %>";
		form.target="taskListQueryFrame";	//Name of IFrame
		form.submit();
		changedTasks_index++;
	} else  {//all tasks have been submitted
		//call next method in the queue
		scanForDeletedTasks();
	}
};

var deletedTasks = new Array(0);
function scanForDeletedTasks() {
	var rows = document.getElementById("checklistTable").rows;

	//Scan for deleted tasks
	for(var x=1; x<rows.length; x++) {//skip column headers row
		var row = rows[x];
		if (!row.hasData || (row.isDeleted && !row.isNewTask)) {
			deletedTasks.push(row);
		}
	}
	//Submit located tasks to the DB to be updated
	submitDeleteRequestToDB();
};

var deletedTasks_index = 0;//DON'T START AT 1; DOES NOT CONTAIN HEADER ELEMENT!
function submitDeleteRequestToDB() {
	//Submit Delete request to the database
	if (deletedTasks_index<deletedTasks.length) {//unsubmitted tasks remain
		var form = deletedTasks[deletedTasks_index].form;
		form.action="./TaskListQueryFrame?caseID=<%=data.caseID%>&actionType=<%= TaskListAction.DELETION %>";
		form.target="taskListQueryFrame";	//Name of IFrame
		form.submit();
		deletedTasks_index++;
	} else  {//all tasks have been submitted
		//close the window
		reloadCloseCase();
	}
};
//
//End DB Modification Methods
//
function modifyTaskDesc(taskID, taskDesc) {
	var table = document.getElementById("checklistTable");
	var rows = table.rows;

	for (var x=1; x<rows.length; x++) {//skip the column headers row
		var row = rows[x];
		if (row.taskID == taskID) {
			row.form.taskDesc.value = taskDesc;
			break;
		}
	}
};

function deleteAllTasks() {
	var answer = confirm("<fmt:message key="taskList.taskDescription.areYouSureDelAllTasks.txt" />");
	if (answer) {
		var rows = document.getElementById("checklistTable").rows;

		for (var x=1; x<rows.length; x++) {//skip the column headers row
			var row = rows[x];
			row.deleteRow();
		}
	}
};
</script>
<!-- End Task List JavaScript -->

<!-- Begin Task List Table -->

<SPAN id="detailsMainContent">

<TABLE cellspacing="0" cellpadding="0" width="590" border="0" align="center">
  <TR>
    <TD id="checklistTitleBar" class="pageName"><fmt:message key="taskList.title.txt" /></TD>
  </TR>
  <TR>
    <TD class="topLine">&nbsp;</TD>
  </TR>
</TABLE>

<TABLE cellspacing="0" cellpadding="0" width="590" border="0" align="center">
	<TR>
		<TD colspan="3">&nbsp;</TD>
	</TR>
	<TR>
		<TD valign="top" class="defaultBackgroundColor" WIDTH="100%">
		<TABLE class="DataTableBorder" cellspacing="0" cellpadding="0" border="0" width="100%">
			<TR>
				<TD>
				<TABLE cellspacing="1" cellpadding="2" border="0" width="100%">
					<TR>
						<TD class="TextTableTitle" colspan="2" height="18">
							<fmt:message key="taskList.case.caseInfo.txt" />
						</TD>
					</TR>
					<TR valign="middle" class="defaultBackgroundColor">
						<TD class="Text" valign="middle" width="50%">
							<fmt:message key="taskList.case.caseID.txt" />
						</TD>
						<TD class="Text" valign="middle">
							<%=data.caseID%>
						</TD>
					</TR>
					<TR valign="middle" class="defaultBackgroundColor">
						<TD class="Text" valign="middle">
							<fmt:message key="taskList.case.primarySuspect.txt" />
						</TD>
						<TD class="Text" valign="middle">
							<%=data.entityName%>
						</TD>
					</TR>
					<TR valign="middle" class="defaultBackgroundColor">
						<TD class="Text" valign="middle">
							<fmt:message key="taskList.case.customerNumber.txt" />
						</TD>
						<TD class="Text" valign="middle">
							<%=data.entityNumber%>
						</TD>
					</TR>
					<TR valign="middle" class="defaultBackgroundColor">
						<TD class="Text" valign="middle">
							<fmt:message key="taskList.case.dateCreated.txt" />
						</TD>
						<TD class="Text" valign="middle"><fmt:formatDate value="${data.createDate}" /></TD>
					</TR>
				</TABLE>
				</TD>
			</TR>
		</TABLE>
		</TD>
	</TR>
	<TR>
		<TD height="15" colspan="3"></TD>
	</TR>
	<TR>
		<TD>
		<TABLE WIDTH="100%">
			<TR>
				<TD height="15" colspan="3" class="text" nowrap>
					<fmt:message key="taskList.addRows.txt" />
					<input type="text" id="numRowsField" size="3" value="1">
					<INPUT type="button" onclick="addRows()" class="button" value="<fmt:message key="taskList.go.txt" />">
				</TD>
				<TD align="<%=ViewUtils.alignRight(pageContext)%>">
					<INPUT type="button" onclick="deleteAllTasks()" class="button" value="<fmt:message key="taskList.deleteAll.txt" />">
				</TD>
			</TR>
		</TABLE>
		</TD>
	</TR>
	<TR>
		<TD height="15" colspan="3"></TD>
	</TR>
	<TR>
		<TD valign="top" class="defaultBackgroundColor" WIDTH="100%">
		<TABLE class="DataTableBorder" cellspacing="0" cellpadding="0" border="0" width="100%">
			<TR>
				<TD>
				<TABLE id="checklistTable" cellspacing="1" cellpadding="2" border="0" width="100%">
					<TR>
						<TD class="TextTableTitle" height="18">
							<fmt:message key="taskList.completed.txt" />
						</TD>
						<TD class="TextTableTitle" height="18">
							<center><fmt:message key="taskList.taskName.txt" /></center>
						</TD>
						<TD class="TextTableTitle" height="18">
							<fmt:message key="taskList.goalDate.txt" />
						</TD>
					</TR>
					<c:set var="tasksSize" scope="page"><%=data.getTasks().size() %></c:set>
					<c:choose>
						<c:when test="${tasksSize >0 }">
							<!-- Has Tasks -->
							<c:forEach var="task" varStatus="loop" items="${data.tasks}" >
								<c:set var="index" value="${loop.index}" scope="page" />
								<TR valign="middle" class="defaultBackgroundColor" id="row_${index}">
									<html:form styleId="form_${index}" action="TaskDescriptionWindow" target="taskDescription">
										<html:hidden styleId="taskDesc_${index}" property="taskDesc" value="${task.taskDesc_ne}" style="display:none;"/>
										<html:hidden styleId="taskID_${index}" property="taskID" value="${task.taskID}" style="display:none;"/>
										<script>
										//Row Stuff
										var row	 = document.getElementById("<c:out value="row_${index}"/>");

										<c:choose>
											<c:when test="${index % 2 == 1}">
												row.className	= "dataRow1_tableRow";
											</c:when>
											<c:otherwise>
												row.className	= "dataRow2_tableRow";
											</c:otherwise>
										</c:choose>

										<%
											TaskListContent.Task task = (TaskListContent.Task) pageContext.getAttribute("task");
											Locale locale = (Locale) pageContext.getAttribute("sessionScope[localeKey]");
										%>

										//Original values for comparison with form values, to determine user changes
										row.id			= "<c:out value="row_${index}"/>";
										row.isNewTask	= false;
										row.isDeleted	= false;
										row.taskID		= '<c:out value="${task.taskID}" />';
										row.taskName	= '<c:out value="${task.taskName}" escapeXml="false" />';
										row.taskDesc	= '<c:out value="${task.taskDesc}" escapeXml="false" />';
										row.goalDate	= '<%=TaskListContent.toStringForm(task.goalDate, locale)%>';
										row.checked		= <c:out value="${task.checked}" />;//boolean NO Quotes!

										row.deleteRow	=	function() {
																//mark as Deleted
																this.isDeleted = true;

																this.style.display = "none";
															};

										//Form Stuff
										var form = document.getElementById("<c:out value="form_${index}"/>");
										row.form = form;
										</script>
										<TD class="Text" id="<c:out value="checkboxCell_${index}" />" valign="middle" align="center">
											<html:checkbox styleId="checkbox_${index}" property="checked" />
											<script>
											var checkbox		= document.getElementById("<c:out value="checkbox_${index}" />");
											checkbox.row		= row;
											checkbox.checked	= row.checked;
											row.checkbox		= checkbox;
											row.checkboxCell	= document.getElementById("<c:out value="checkboxCell_${index}" />");
											</script>
										</TD>
										<TD class="Text" id="<c:out value="textCell_${index}" />" valign="middle">
											<html:text maxlength="35" size="40" styleId="taskName_${index}" value="${task.taskName_ne}" property="taskName" />
											<img src="../images/Edit.gif" id="<c:out value="edit_${index}" />" style="cursor: hand;" alt="<fmt:message key="taskList.tooltip.editDescription.txt"/>">
											<script>
											var taskName = document.getElementById("<c:out value="taskName_${index}" />");
											var edit	 = document.getElementById("<c:out value="edit_${index}" />");

											taskName.row = row;
											edit.row 	 = row;
											edit.onclick =	function() {
																//copy date from widget field to form field
																this.row.goalDateFormField.value = this.row.goalDateField.value;

																var form = this.row.form;
																form.action="TaskDescriptionWindow";
																form.target="taskDescription";
																window.open('', form.target, 'width=600,height=455,resizable=0,scrollbars=0,status=no');
																form.submit();
															};

											row.taskNameField	= taskName;
											row.edit			= edit;
											row.textCell		= document.getElementById("<c:out value="textCell_${index}" />");
											</script>
										</TD>
										<TD class="Text" id="<c:out value="goalDateCell_${index}" />" valign="middle">
											<%
												int index = ((Integer)pageContext.getAttribute("index")).intValue();
												TaskListForm form = (TaskListForm) request.getAttribute("taskListForm");
												String datePickerName = "row_"+index+"_datePicker";
												Object datePickerValue = task.goalDate;
												DatePicker dsp = DatePickerUtil.createDatePicker(datePickerName, datePickerValue, pageContext);
												DateFormat df = DateFormat.getDateInstance(DateFormat.SHORT, request.getLocale());
												dsp.setFormat((SimpleDateFormat)df);
												DatePickerUtil.writeDatePicker(dsp, out, request);
											%>
											<html:img src="../images/Delete.gif" styleId="delete_${index}" />
											<input type="hidden" id="<c:out value="goalDateFormField_${index}" />" name="goalDate" />
											<script>
											var del = document.getElementById("<c:out value="delete_${index}" />");
											del.row = row;
											del.alt = "<fmt:message key="taskList.tooltip.deleteTask.txt"/>";
											row.del = del;

											del.onclick	=	function() {
																var answer = confirm("<fmt:message key="taskList.taskDescription.areYouSureDelTask.txt" />");
																if (answer) {
																	this.row.deleteRow();

																	//build out the alternating color bands
																	refreshRowBackgrounds();
																}
															};
											row.goalDateFormField	= document.getElementById("<c:out value="goalDateFormField_${index}" />");
											row.goalDateField		= document.getElementById("<%= datePickerName %>");
											row.goalDateCell		= document.getElementById("<c:out value="goalDateCell_${index}" />");

											//Removed for Defect: S0619729. Use setDate() method instead. (See DatePicker init Java code. Above)
											//row.goalDateField.value = row.goalDate;

											//Reorganize cell structure
											row.goalDateCell.removeChild(row.del);
											var table = row.goalDateCell.getElementsByTagName("table")[0];
											var tempCell = table.rows[0].insertCell(-1);
											tempCell.appendChild(row.del);

											//hide the hidden fields. -- Only needed for the html
											//generated rows. Not for the javascript generated rows
											var hiddens = row.form.getElementsByTagName("");
											hiddens[0].style.display="none";
											</script>
										</TD>
									</html:form>
								</TR>
							</c:forEach>
						</c:when>
						<c:otherwise>
						<!-- No tasks -->
							<TR valign="middle" class="defaultBackgroundColor" id="row_0">
								<html:form styleId="form_0" action="TaskDescriptionWindow" target="taskDescription">
									<html:hidden styleId="taskDesc_0" value="" property="taskDesc" style="display:none;"/>
									<html:hidden styleId="taskID_0" value="0" property="taskID" style="display:none;"/>
									<script>
									//Row Stuff
									var row	 = document.getElementById("row_0");
									row.className	= "dataRow2_tableRow";

									//Original values for comparison with form values, to determine user changes
									row.id			= "row_0";
									row.isNewTask	= true;
									row.isDeleted	= false;
									row.taskID		= 0;
									row.taskName	= null;
									row.taskDesc	= null;
									row.goalDate	= null;
									row.checked		= false;//boolean NO Quotes!

									row.deleteRow	=	function() {
															//mark as Deleted
															this.isDeleted = true;

															this.style.display = "none";
														};

									//Form Stuff
									var form = document.getElementById("form_0");
									row.form = form;
									</script>
									<TD class="Text" id="checkboxCell_0" valign="middle" align="center">
										<html:checkbox styleId="checkbox_0" property="checked" />
										<script>
										var checkbox		= document.getElementById("checkbox_0");
										checkbox.row		= row;
										checkbox.checked	= row.checked;
										row.checkbox		= checkbox;
										row.checkboxCell	= document.getElementById("checkboxCell_0");
										</script>
									</TD>
									<TD class="Text" id="textCell_0" valign="middle">
										<input type="text" maxlength="35" size="40" id="taskName_0" name="taskName" />
										<img src="../images/Edit.gif" id="edit_0" style="cursor: hand;" alt="<fmt:message key="taskList.tooltip.editDescription.txt"/>">
										<script>
										var taskName = document.getElementById("taskName_0");
										var edit	 = document.getElementById("edit_0");

										taskName.row = row;
										edit.row 	 = row;
										edit.onclick =	function() {
															//copy date from widget field to form field
															this.row.goalDateFormField.value = this.row.goalDateField.value;

															var form = this.row.form;
															form.action="TaskDescriptionWindow";
															form.target="taskDescription";
															window.open('', form.target, 'width=600,height=455,resizable=0,scrollbars=0,status=no');
															form.submit();
														};

										row.taskNameField	= taskName;
										row.edit			= edit;
										row.textCell		= document.getElementById("textCell_0");
										</script>
									</TD>
									<TD class="Text" id="goalDateCell_0" valign="middle">
										<%
											int index = 0;
											TaskListForm form = (TaskListForm) request.getAttribute("taskListForm");
											String datePickerName = "row_"+index+"_datePicker";
											Object datePickerValue = null;
											DatePicker dsp = DatePickerUtil.createDatePicker(datePickerName, datePickerValue, pageContext);
											DateFormat df = DateFormat.getDateInstance(DateFormat.SHORT, request.getLocale());
											dsp.setFormat((SimpleDateFormat)df);
										 	DatePickerUtil.writeDatePicker(dsp, out, request);
										%>
										<html:img src="../images/Delete.gif" styleId="delete_0" />
										<input type="hidden" id="goalDateFormField_0" name="goalDate" />
										<script>
										var del = document.getElementById("delete_0");
										del.row = row;
										del.alt = "<fmt:message key="taskList.tooltip.deleteTask.txt"/>";
										row.del = del;

										del.onclick	=	function() {
															var answer = confirm("<fmt:message key="taskList.taskDescription.areYouSureDelTask.txt" />");
															if (answer) {
																//mark as Deleted
																this.row.isDeleted = true;
																this.row.style.display = "none";

																//build out the alternating color bands
																refreshRowBackgrounds();
															}
														};
										row.goalDateFormField	= document.getElementById("goalDateFormField_0");
										row.goalDateField		= document.getElementById("<%= datePickerName %>");
										row.goalDateCell		= document.getElementById("goalDateCell_0");

										//Reorganize cell structure
										row.goalDateCell.removeChild(row.del);
										var table = row.goalDateCell.getElementsByTagName("table")[0];
										var tempCell = table.rows[0].insertCell(-1);
										tempCell.appendChild(row.del);

										//hide the hidden fields. -- Only needed for the html
										//generated rows. Not for the javascript generated rows
										var hiddens = row.form.getElementsByTagName("");
										hiddens[0].style.display="none";

										row_ID_index++;
										</script>
									</TD>
								</html:form>
							</TR>
						</c:otherwise>
					</c:choose>
				</TABLE>
				<script>
					//build out the alternating color bands
					refreshRowBackgrounds();
				</script>
				</TD>
			</TR>
		</TABLE>
		</TD>
	</TR>
	<TR>
		<TD height="15" colspan="3"></TD>
	</TR>
	<TR>
		<TD valign="top" align="center" class="defaultBackgroundColor" colspan="3">
			<TABLE class="DataTableBorder" cellspacing="0" cellpadding="0" width="358" border="0">
				<TR class="defaultBackgroundColor">
					<TD ALIGN="CENTER" VALIGN="MIDDLE" HEIGHT="35" nowrap>
						<INPUT TYPE="button" class="button" style="cursor: hand;"
							VALUE="<fmt:message key="taskList.ok.txt"/>"
							onClick="handleChangesToData();">
						<!-- DO NOT ADD A WINDOW CLOSE HERE!!! The the recursive save method tree takes care of window closing -->
						<INPUT TYPE="button" class="button" style="cursor: hand;"
							VALUE="<fmt:message key="taskList.cancel.txt"/>"
							onClick="reloadCloseCase();">
					</TD>
				</TR>
			</TABLE>
		</TD>
	</TR>
</TABLE>
</SPAN>
<!-- End Task List Table -->

<iframe id="taskListQueryFrame" name="taskListQueryFrame"
	style="width: 0px; height: 0px; border: 0px;">

</iframe>

</BODY>
</HTML>