<%@ page contentType="text/html; charset=utf-8" %>
<%@ page language="java" session="true" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-tiles.tld" prefix="tiles" %>
<%@ taglib prefix="aml" uri="/WEB-INF/amllib.tld" %>

<jsp:useBean id="routeList" scope="request" class="com.sas.aml.content.SelectedActionContent" />

<tiles:insert page="tiles/header.jsp">
    <tiles:put name="subtitle"><bean:message key="actions.alert.close.title.txt"/></tiles:put>
	<tiles:put name="script">
		function validateAction(f) {
		 // Check for a reason code selection
			if (f.reasonCode.selectedIndex==0) {
				alert("<bean:message key="comment.reasoncode.no.selection.txt" />");
				return false;
			}
			else if (f.reasonCode.selectedIndex>0) {
		    	// set the value of the hidden field "reasonDesc" to the text of the selected item
				<c:choose>
					<c:when test="${itemType == 'alert'}" >
						<%-- Alert --%>
						document.routeAlertForm.reasonDesc.value=f.reasonCode[f.reasonCode.selectedIndex].text;
					</c:when>
					<c:when test="${itemType == 'case'}" >
						<%-- Case --%>
						document.routeCaseForm.reasonDesc.value=f.reasonCode[f.reasonCode.selectedIndex].text;
					</c:when>
					<c:otherwise>
						<%-- Assessment --%>
						document.routeAssessmentForm.reasonDesc.value=f.reasonCode[f.reasonCode.selectedIndex].text;
					</c:otherwise>
				</c:choose>
			}
			return submitAction(
				f,
				<bean:message key="comment.max.length" />,
				"<bean:message key="comment.max.length.exceeded.txt" />",
				"<bean:message key="comment.suppressing.because.txt" />"
			);
		}
	</tiles:put>
</tiles:insert>

<!-- insert banner with header graphics and sas logo -->
<tiles:insert page="tiles/banner_actions.jsp">
   <tiles:put name="helppage" value="actions.htm" />
</tiles:insert>

<SPAN id="addAlertsContent" style="display:''">

<input type="hidden" name="selectAction" value="<bean:message key='selectAction.txt'/>" />

<c:choose>
	<c:when test="${itemType == 'alert'}" >
		<c:set var="resultAction" value="/RouteAlert" />
	</c:when>
	<c:when test="${itemType == 'case'}" >
		<c:set var="resultAction" value="/RouteCase" />
	</c:when>
	<c:otherwise>
		<c:set var="resultAction" value="/RouteAssessment" />
	</c:otherwise>
</c:choose>

<html:form action="${resultAction}" enctype="multipart/form-data" onsubmit="return validateAction(this);">
<!-- add hidden field to pass close reason description to Audit Trail Service -->
<input type=hidden name="reasonDesc" value="">
<!-- Begin Account Detailed Information -->
<TABLE align="center" cellspacing="0" cellpadding="0" width=100% border="0">
    <TR>
        <TD width="16">&nbsp;</TD>
        <TD class="pageName">
		<c:choose>
			<c:when test="${itemType == 'alert'}">
				<bean:message key="actions.alert.close.title.txt"/>
			</c:when>
			<c:when test="${itemType == 'case'}">
				<bean:message key="actions.case.close.title.txt"/>
			</c:when>
			<c:otherwise>
				<bean:message key="actions.risk.close.title.txt"/>
			</c:otherwise>
		</c:choose>
        </TD>
    </TR>
    <TR>
        <TD width="2"></TD>
        <TD class="topLine">&nbsp;</TD>
    </TR>
</TABLE>

<TABLE align="center" cellspacing="0" cellpadding="0" border="0" width=100%>
    <TR>
        <TD colspan="2">&nbsp;</TD>
    </TR>
    <TR>
        <TD width="16">&nbsp;</TD>
        <TD valign="top" class="defaultBackgroundColor">
            <TABLE class="DataTableBorder" cellspacing="0" cellpadding="0"  border="0" width=100%>
                <TR>
                    <TD>
                        <TABLE cellspacing="1" cellpadding="2"  border="0" width=100%>
                            <TR class="defaultBackgroundColor">
                                <TD colspan="3" >
                                    <BR>
                                    <TABLE border="0" width=100%>
                                        <TR>
                                            <TD class="Text" nowrap width="30%">
                                                <INPUT type="hidden" name="action" value="close"/>
                                                <bean:message key="actions.closeAlert.txt"/>
                                            </TD>
                                            <TD width="74%">
                                                <select name="reasonCode" id="reasonCode" size="1" width="25">
                                                    <option value="">&nbsp;</option>
                                                    <c:forEach var="theReason" items="${reasons}">
                                                        <option value="<c:out value="${theReason.name}"/>">
                                                            <c:out value="${theReason.value}" />
                                                        </option>
                                                    </c:forEach>
                                                </select>
                                            </TD>
                                        </TR>
                                        <TR>
                                    		<TD>&nbsp;</TD>
                                    	</tr>
                            			<TR class="defaultBackgroundColor">
                            				<TD align="center" colspan="3">
												<html:submit property="submitButton" altKey="ok.txt" styleClass="button" style="cursor:hand"><bean:message key="ok.txt"/></html:submit>
												<!-- The preferred way is to use struts-el support and the html:button tag (struts 1.1?) -->
								  				<input type="button" class="button" alt="<bean:message key="cancel.txt"/>" style="cursor:hand"
									            	onClick="window.close();" value="<bean:message key="cancel.txt"/>" />
				                            </TD>
			                            </TR>

                                    </TABLE>
                                </TD>
                            </TR>
                        </TABLE>
                    </TD>
                </TR>
            </TABLE>
        </TD>
    </TR>
    <TR>
        <TD colspan="2" align="center">&nbsp;</TD>
    </TR>
</TABLE>
<INPUT type="hidden" name="ids" value="${ids}"/>
</html:form>

</SPAN>

<SPAN id="action_working" style="display:none;">
    <TABLE align="center">
        <TR>
            <TD align="center">
                <H3><bean:message key="actions.pleaseWait.txt"/></H3>
            </TD>
        </TR>
        <TR>
            <TD align="center">
                <img src="../images/animated.gif">
            </TD>
        </TR>
    </TABLE>
</SPAN>

</BODY>
</HTML>