<%@page import="com.sas.aml.util.UTF8Encoder"%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ page language="java" session="true" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="aml" uri="/WEB-INF/amllib.tld" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-tiles.tld" prefix="tiles" %>

<%@ page import="com.sas.aml.util.ViewUtils" %>
<%@ page import="com.sas.aml.content.AlertContent" %>
<%@ page import="com.sas.aml.content.CustomerContent" %>
<%@ page import="com.sas.aml.constants.AlertConstants" %>
<%@ page import="com.sas.aml.constants.ApplicationConstants" %>
<%@ page import="com.sas.aml.service.AdvancedTransactionGraphService" %>
<%@ page import="com.sas.servlet.tbeans.graphics.html.LineChart" %>
<%@ page import="com.sas.aml.struts.action.AddressMapAction" %>

<c:set var="localeKey">
<%=org.apache.struts.Globals.LOCALE_KEY%>
</c:set>
<fmt:setLocale value="${sessionScope[localeKey]}"/>

<fmt:setBundle basename="ApplicationResources"/>

<tiles:insert page="tiles/header.jsp">
  <tiles:put name="subtitle"><fmt:message key="alert.details.txt"/></tiles:put>
</tiles:insert>

<!-- insert banner with header graphics and sas logo -->
<tiles:insert page="tiles/banner_popup.jsp">
  <tiles:put name="helppage" value="alertdetails.htm" />
</tiles:insert>

<!-- Include Actions Menu Bar -->
<c:if test="${modify == 'true'}">
	<jsp:include page="tiles/action_menu_bar.jsp" />
</c:if>
<BR>
<!-- insert reloadNav navbar -->
<tiles:insert page="tiles/reloadNav.jsp">
<tiles:put name="backMsg"><fmt:message key="back.txt"/></tiles:put>
<tiles:put name="closeMsg"><fmt:message key="close.txt"/></tiles:put>
<tiles:put name="offset">85</tiles:put>
</tiles:insert>

<DIV>
<c:if test="${ac.account != null}">
  <c:set scope="request" var="alertLevel"><%=AlertConstants.ACCOUNT%></c:set>
  <c:set var="alertText"><fmt:message key="detail.alert.subTitleAccount.txt"/></c:set>
  <c:set scope="request" var="alertEntity">
  	<%=UTF8Encoder.encode(((AlertContent)pageContext.findAttribute("ac")).getAccount().getAccountNumber())%>
  </c:set>
</c:if>
<c:if test="${ac.customer != null}">
  <c:set scope="request" var="alertLevel"><%=AlertConstants.PARTY%></c:set>
  <c:set var="alertText"><fmt:message key="detail.alert.subTitleCustomer.txt"/></c:set>
  <c:set scope="request" var="alertEntity">
  	<%=UTF8Encoder.encode(((AlertContent)pageContext.findAttribute("ac")).getCustomer().getCustomerNumber())%>
  </c:set>
</c:if>
<c:if test="${ac.household != null}">
  <c:set scope="request" var="alertLevel"><%=AlertConstants.HOUSEHOLD%></c:set>
  <c:set var="alertText"><fmt:message key="detail.alert.subTitleHousehold.txt"/></c:set>
  <c:set scope="request" var="alertEntity">
  	<%=UTF8Encoder.encode(((AlertContent)pageContext.findAttribute("ac")).getHousehold().getHouseholdNumber())%>
  </c:set>
</c:if>
<c:if test="${ac.transaction != null}">
  <c:set scope="request" var="alertLevel"><%=AlertConstants.TRANSACTION%></c:set>
  <c:set var="alertText"><bean:message key="detail.alert.subTitleTransaction.txt"/></c:set>
  <c:set scope="request" var="alertEntity">
  	<%=UTF8Encoder.encode(((AlertContent)pageContext.findAttribute("ac")).getTransaction().getTransactionReferenceNumber())%>
  </c:set>
</c:if>

<c:set var="active"><%=ApplicationConstants.ALERT_STATUS_ACTIVE%></c:set>
<c:set var="closed"><%=ApplicationConstants.ALERT_STATUS_CLOSED%></c:set>
<c:set var="suppressed"><%=ApplicationConstants.ALERT_STATUS_SUPPRESSED%></c:set>
<c:set var="suppressedb"><%=ApplicationConstants.ALERT_STATUS_SUPPRESSED_BATCH%></c:set>
<c:set var="incase"><%=ApplicationConstants.ALERT_STATUS_IN_CASE%></c:set>

<c:set var="scenarioName">
   <%=UTF8Encoder.encode(((AlertContent)pageContext.findAttribute("ac")).getScenario().getName())%>
</c:set>

<c:set scope="request" var="alertDateTime"><%=((AlertContent)pageContext.findAttribute("ac")).getAlertDateTime()%></c:set>
<c:set scope="request" var="transactionCount"><%=((AlertContent)pageContext.findAttribute("ac")).getTransactionCount() %></c:set>

<c:set var="regulatoryReportingEnabled"><%=pageContext.findAttribute("sasaml.regulatoryReportingEnabled")%></c:set>

<SCRIPT>
function displayExportLink() {
    var dest = document.getElementById("exportTrans_dest");
    var src = document.getElementById('exportTrans_src'); // lives in alert_transaction_bridge.jsp (comes in as a partial)

    // no src found, meaning no transactions
    if(src != null) {
        dest.style.visibility = "visible";
        dest.href = src.href;
    } else {
        dest.style.visibility = "hidden";
    }
}

function refreshTransactionList(tabValue)
{
	var alertId = '<c:out value="${alertId}" />';
	var trigger = '<c:out value="${trigger}" />';
	var entityNumber = '<c:out value="${alertEntity}" />';
	var level = '<c:out value="${alertLevel}" />';
	var alertDateTime = '<c:out value="${alertDateTime}" />';
	var transactionCount = '<c:out value="${transactionCount}" />';
	var url = tabValue+"&level="+level+"&entityNumber="+entityNumber+"&alertDateTime="+alertDateTime+"&transactionCount="+transactionCount;
	refreshElement(url, 'transactionsTable', function() {displayExportLink();});
}
</SCRIPT>

<TABLE align="center" cellspacing="0" cellpadding="0" width="620" border="0">
  <TR>
    <TD class="pageName"><c:out value="${alertText}" /></TD></TR>
  <TR>
    <TD class="topLine">&nbsp;</TD></TR>
</TABLE>

<TABLE align="center" border="0" style="margin-top:10px">
<TR>
<TD valign="top">

<!-- Begin Alert Detailed Information -->
<TABLE cellspacing="0" cellpadding="0" width="305" border="0">
  <TR>
    <TD height="8" colspan="2"></TD></TR>
  <TR>
    <TD valign="top" class="defaultBackgroundColor">
      <TABLE class="DataTableBorder" cellspacing="0" cellpadding="0" width="305" border="0">
        <TR>
          <TD>
            <TABLE cellspacing="1" cellpadding="1" width="305" border="0">
              <TR>
                <TD class="TextTableTitle" height="18">
                  <fmt:message key="detail.alert.description.txt"/>
                </TD>
              </TR>
              <TR class="defaultBackgroundColor">
                <TD class="Text">
                  <BR>&nbsp;
                    <c:out value="${ac.description}" />
                  <BR>&nbsp;
                </TD>
              </TR>
            </TABLE>
          </TD>
        </TR>
      </TABLE>
    </TD>
  </TR>
  <TR>
    <TD height="10" colspan="2"></TD></TR>
  <TR>
    <TD valign="top" class="defaultBackgroundColor">
      <TABLE class="DataTableBorder" cellspacing="0" cellpadding="0" width="305" border="0">
        <TR>
          <TD>
            <TABLE cellspacing="1" cellpadding="1" width="305" border="0">
              <TR>
                <TD class="TextTableTitle" colspan="3" height="18"><fmt:message key="detail.alertInformation.txt"/>
                </TD>
              </TR>
              <TR valign="middle" class="defaultBackgroundColor">
                <TD class="Text"> <fmt:message key="detail.name.txt"/></TD>
                <TD class="Text" align="center">
                     <c:out value="${ac.alertName}" />
                </TD>
              </TR>
              <TR valign="middle" class="defaultBackgroundColor">
                <TD class="Text"> <fmt:message key="detail.alertId.txt"/></TD>
                <TD class="Text" align="center">
                     <c:out value="${ac.alertId}" />
                </TD>
              </TR>
              <TR valign="middle" class="defaultBackgroundColor">
                <TD class="Text"> <fmt:message key="detail.alert.createDate.txt"/> </TD>
                <TD class="Text" align="center">
                   <fmt:formatDate value="${ac.alertDate}" />
                </TD>
              </TR>
              <TR valign="middle" class="defaultBackgroundColor">
                <TD class="Text"> <fmt:message key="detail.alert.runDate.txt"/> </TD>
                <TD class="Text" align="center">
                   <fmt:formatDate value="${ac.runDate}" />
                </TD>
              </TR>
              <TR valign="middle" class="defaultBackgroundColor">
                <TD class="Text"> <fmt:message key="detail.alert.status.txt"/> </TD>
                <TD class="Text" align="center">
                	<c:if test="${ac.status == active}">
  					  	<fmt:message key="detail.alert.status.active.txt"/>
					</c:if>
					<c:if test="${ac.status == suppressed}">
  					  	<fmt:message key="detail.alert.status.suppressed.txt"/>
					</c:if>
					<c:if test="${ac.status == suppressedb}">
  					  	<fmt:message key="detail.alert.status.suppressed.batch.txt"/>
					</c:if>
					<c:if test="${ac.status == closed}">
  					  	<fmt:message key="detail.alert.status.closed.fmt.txt">
							<fmt:param>
								<c:out value="${ac.closeReason}"/>
							</fmt:param>
						</fmt:message>
					</c:if>
                    <c:if test="${ac.status == incase}">
                        <fmt:message key="detail.alert.status.incase.txt"/>
                    </c:if>
                </TD>
              </TR>
              <TR valign="middle" class="defaultBackgroundColor">
	              <TD class="Text"><fmt:message key="detail.risk.moneyLaunderingRisk.txt"/></TD>
	              <TD align="center" class="exceptable">
		              <A id="mlRisk" href="EntityDetail?scenarioID=<c:out value="${ac.scenario.scenarioID}" />&alertId=<c:out value="${ac.alertId}" />&moneyLaunderingRisk=<c:out value="${ac.moneyLaunderingRisk}" />&terrorFinancingRisk=<c:out value="${ac.terrorFinancingRisk}" />&scenarioName=<c:out value="${scenarioName}" />&subject=<c:out value="${alertLevel}" />:<c:out value="${alertEntity}" />">
			              <c:out value="${ac.moneyLaunderingRisk}" />
		              </A>
	              </TD>
              </TR>
      <c:if test='${tfdisplay}'>
              <TR valign="middle" class="defaultBackgroundColor">
	              <TD class="Text"><fmt:message key="detail.risk.terrorFinancingRisk.txt"/></TD>
	              <TD align="center" class="exceptable">
		              <A id="tfRisk" href="EntityDetail?scenarioID=<c:out value="${ac.scenario.scenarioID}" />&alertId=<c:out value="${ac.alertId}" />&moneyLaunderingRisk=<c:out value="${ac.moneyLaunderingRisk}" />&terrorFinancingRisk=<c:out value="${ac.terrorFinancingRisk}" />&scenarioName=<c:out value="${scenarioName}" />&subject=<c:out value="${alertLevel}" />:<c:out value="${alertEntity}" />">
			              <c:out value="${ac.terrorFinancingRisk}" />
		              </A>
	              </TD>
              </TR>
      </c:if>
              <TR valign="middle" class="defaultBackgroundColor">
                <TD class="Text"><fmt:message key="detail.alert.category.txt"/></TD>
                <TD class="Text" align="center">
                   <c:out value="${ac.type}" />
                </TD>
              </TR>
            </TABLE>
          </TD>
        </TR>
      </TABLE>
	</TD>
  </TR>
  <TR>
    <TD height="10" colspan="2"></TD></TR>
  <TR>
       <TD valign="top" class="defaultBackgroundColor">
         <TABLE class="DataTableBorder" cellspacing="0" cellpadding="0" width="305" border="0">
           <TR>
             <TD>
               <TABLE cellspacing="1" cellpadding="1" width="305" border="0">
                 <TR>
                   <TD class="TextTableTitle" height="18">
                   <fmt:message key="detail.alert.scenario.txt"/>
                   </TD></TR>
                <TR class="defaultBackgroundColor">
                   <TD class="Text">
                      <A id="scenario" HREF="EntityDetail?scenarioID=<c:out value="${ac.scenario.scenarioID}" />">
                         <c:out value="${ac.scenario.name}" />
                      </A>
                      <BR>&nbsp;
                      <c:out value="${ac.scenario.description}" />
                   </TD></TR>
                <TR class="tableSectionTitleBackgroundColor">
                   <TD class="DataHeader" height="18" colspan="2">
                      <fmt:message key="detail.triggerValues.txt"/>
                   </TD>
                </TR>
                <TR class="defaultBackgroundColor">
                   <TD class="Text">
                     <c:out value="${ac.alertThreshold}" />
                   </TD>
                   </TR></TABLE></TD></TR></TABLE></TD></TR>
           <TR>
             <TD height="10" colspan="2"></TD></TR>

            <TR>
				<TD>
				<!-- Small Graph vertical spacer -->
				<TABLE BORDER="0" CELLSPACING="0" CELLPADDING="0" WIDTH="100%" HEIGHT="10">
					<TR VALIGN="middle">
						<TD class="Text"></TD>
					</TR>
				</TABLE>
				<!-- End Small Graph vertical spacer -->
				</TD>
				<%
					session.setAttribute("data",  request.getAttribute("data"));
							LineChart countChart = (LineChart) request.getAttribute("countChart");
							LineChart amtChart = (LineChart) request.getAttribute("amtChart");

							boolean countGraph = AdvancedTransactionGraphService.parseBoolean((String)request.getAttribute("countGraph"));
							boolean amountGraph = AdvancedTransactionGraphService.parseBoolean((String)request.getAttribute("amountGraph"));

							boolean queryWorked = false;
							boolean noData = false;
							String graphErrorMessage = null;
							String defaultGraphErrorMessage = null;
							String noDataMessage = null;
							boolean showDefaultErrorMessage = false;

							if (countGraph || amountGraph) {
								queryWorked = AdvancedTransactionGraphService.parseBoolean((String)request.getAttribute("query"));
								noData = AdvancedTransactionGraphService.parseBoolean((String)request.getAttribute("noData"));

								graphErrorMessage = null;
								defaultGraphErrorMessage = (String)request.getAttribute("defaultQueryErrorMessage");
								noDataMessage = (String)request.getAttribute("noDataMessage");

								showDefaultErrorMessage = true;
				%>
						<!-- SCRIPT>
							alert("graphErrorMessage: '<%=graphErrorMessage%>'")
							alert("defaultGraphErrorMessage: '<%=defaultGraphErrorMessage%>'")
						</SCRIPT -->
						<%
							if (!queryWorked || noData) {
											countGraph = true;
											amountGraph = true;
										}
									}
						%>
				<%
					if (countGraph && !amountGraph) {
				%>
			</TR>
			<TR>
				<TD>
					<TABLE class="DataTableBorder" BORDER="0" CELLSPACING="0" CELLPADDING="0" WIDTH="100%">
						<TR VALIGN="top">
							<TD>
								<TABLE class="DataTableBorder" id="countGraphTable" name="countGraphTable" BORDER="0" CELLSPACING="1" CELLPADDING="1" VALIGN="top" WIDTH="100%">
									<TR>
										<!-- Graph -->
										<TD class="TextTableTitle" height="18"><fmt:message key="alertDetails.graph.count.tableTitle.txt"/></TD>
									</TR>
									<TR VALIGN="top">
										<!-- Graph -->
										<TD class="TextWhiteBG">
											<TABLE id="countGraphSubTable" NAME="countGraphSubTable" BORDER="0" CELLSPACING="0" CELLPADDING="0" WIDTH="100%">
												<TR STYLE="display:block;" VALIGN="middle">
													<TD class="Text">
														<%
															if (queryWorked && !noData) {
																												// Write the chart to the display
																													countChart.write(out);
																											} else {
																												if (noData) {
														%>
																	<center>&nbsp;<p/><%=noDataMessage%><p/>&nbsp;</center>
														<%
															} else if (!showDefaultErrorMessage) {
														%>
																	<%=graphErrorMessage%>
														<%
															} else {
														%>
																	<center>&nbsp;<p/><%=defaultGraphErrorMessage%><p/>&nbsp;</center>
														<%
															}
																											}
														%>
													</TD>
												</TR>
											</TABLE>
										</TD>
									</TR>
								</TABLE>
							</TD>
						</TR>
					</TABLE>
				</TD>
			</TR>
			<TR>
				<TD class="Text" ALIGN="right">
					<%
						if (queryWorked && !noData)
						{
					%>
							<a href="CountGraph" ONCLICK="window.open('./BigGraph?useUsableId=true&usableId=<%=request.getAttribute("countUseableId")%>&idHash=<%=request.getAttribute("countId")%>&statsLine=-1&count=true&party=<%=request.getAttribute("party")%>','bigGraph','width=800,height=600,scrollbars=1,resizable=1');return false">
								<fmt:message key="alertDetails.graph.count.link.txt"/>
							</a>
					<%
						} else {
					%>
							<u>
							<font class="disabledAnchor">
								<fmt:message key="alertDetails.graph.count.link.txt"/>
							</font>
							</u>
					<%
						}
					%>
				</TD>
				<%
					}//end if (!amountGraph)
				%>
			</TR>
		</TABLE><!-- End Left Column Table -->
</TD>
<TD width="5px">&nbsp;</TD>
<TD valign="top">

<TABLE cellspacing="0" cellpadding="0" width="305" border="0">
<TR>
  <TD height="8" colspan="2"></TD>
</TR>
<!-- More Information Table -->
				<TABLE class="DataTableBorder" cellSpacing="0" cellPadding="1" width="305" border="0">
				       <TR>
				           <TD>
				            <TABLE cellSpacing="0" cellPadding="0" width="305" border="0">
				                <TR>
				                    <TD class="defaultBackgroundColor">
				                        <TABLE cellspacing="0" cellpadding="0" width="305" border="0">
				                            <TR class="moreInfoTitleBackgroundColor">
				                                <TD class="SidebarTitle" colSpan="2" height="20">&nbsp;<fmt:message key="detail.moreInformation.title.txt"/></TD>
				                            </TR>
				                            <!-- Current Entity Link -->
				                               <TR class="defaultBackgroundColor">
				                                   <TD width="305" colSpan="2" height="5"></TD>
				                               </TR>
				                               <TR class="defaultBackgroundColor">
				                                   <TD valign="top" align="<%=ViewUtils.alignRight(pageContext)%>" width="20">
				                                       <IMG height="12" src="../images/goldbulsquare.gif">
				                                   </TD>
				                                   <c:set var="alertName">
												   		<%=UTF8Encoder.encode(((AlertContent)pageContext.findAttribute("ac")).getAlertName())%>
												   </c:set>
				                                   <TD class="Text" valign="top">
                    									<A id="alertHistory" HREF="AlertHistory?alertId=<c:out value="${ac.alertId}" />&alertName=<c:out value="${alertName}" />&alertDate=<c:out value="${ac.alertDate}" />&mlrisk=<c:out value="${ac.moneyLaunderingRisk}" />&tfrisk=<c:out value="${ac.terrorFinancingRisk}" />&scenario=<c:out value="${scenarioName}" />"><fmt:message key="detail.alert.viewHistory.txt"/></A>
				                                   </TD>
				                              </TR>
					                         <TR class="defaultBackgroundColor">
				                                <TD width="305" colSpan="2" height="5"></TD>
				                            </TR>
					                        <!-- MORE ALERT INFORMATION -->
				                            <TR class="defaultBackgroundColor">
				                                <TD valign="top" align="<%=ViewUtils.alignRight(pageContext)%>" width="20">
				                                    <IMG height="12" src="../images/goldbulsquare.gif">
				                                </TD>
				                                <!-- This url reference does not need encoding because it does not access a customer character value -->
				                                <TD class="Text" valign="top">
				                                <c:url var="url" value="SearchDetails">
				                                	<c:param name="newQuery" value="Y"/>
        											<c:param name="table" value="alert"/>
        											<c:param name="level" value="BAS"/>
        					`						<c:param name="filters" value="alertId="/>
        											<c:param name="value0"><c:out value="${ac.alertId}"/></c:param>
      										</c:url>
              									<A id="viewMore" href="<c:out value='${url}' escapeXml='false'/>">
                										<fmt:message key="detail.alert.viewmore.txt"/>
              									</A>
              									&nbsp;
				                                </TD>
				                            </TR>
				                    	<!-- Do not display Near Neighbor link for transaction alerts or manual alerts -->
										<c:if test="${ac.transaction == null && ac.scenario.scenarioID > -1}">
				                        	<!-- NEAR NEIGHBOR -->
					                        <TR class="defaultBackgroundColor">
				                                <TD width="305" colSpan="2" height="5"></TD>
				                            </TR>
				                            <TR class="defaultBackgroundColor">
				                                <TD valign="top" align="<%=ViewUtils.alignRight(pageContext)%>" width="20">
				                                    <IMG height="12" src="../images/goldbulsquare.gif">
				                                </TD>
				                                <TD class="Text" valign="top">
            	  								<c:if test="${ac.account != null}">
												    <c:set var="accountName">
												    	<%=UTF8Encoder.encode(((AlertContent)pageContext.findAttribute("ac")).getAccount().getAccountName())%>
												    </c:set>
              										<A id="nearNeighbor" HREF='NearNeighbors?alertId=<c:out value="${ac.alertId}" />&name=<c:out value="${accountName}" />&number=<c:out value="${entityNum}" />&subject=<c:out value="${alertLevel}" />'>
            	  								</c:if>
				  								<c:if test="${ac.customer != null}">
												    <c:set var="customerNum">
													    <%=UTF8Encoder.encode(((AlertContent)pageContext.findAttribute("ac")).getCustomer().getCustomerNumber())%>
												    </c:set>
												    <c:set var="customerName">
												    	<%=UTF8Encoder.encode(((AlertContent)pageContext.findAttribute("ac")).getCustomer().getCustomerName())%>
												    </c:set>
              										<A id="nearNeighbor" HREF='NearNeighbors?alertId=<c:out value="${ac.alertId}" />&name=<c:out value="${customerName}" />&number=<c:out value="${customerNum}" />&subject=<c:out value="${alertLevel}" />'>
            	  								</c:if>
				  								<c:if test="${ac.household != null}">
												    <c:set var="householdNum">
													    <%=UTF8Encoder.encode(((AlertContent)pageContext.findAttribute("ac")).getHousehold().getHouseholdNumber())%>
												    </c:set>
												    <c:set var="headOfHousehold">
												    <%=UTF8Encoder.encode(((AlertContent)pageContext.findAttribute("ac")).getHousehold().getHeadOfHousehold())%>
											    </c:set>
              										<A id="nearNeighbor" HREF='NearNeighbors?alertId=<c:out value="${ac.alertId}" />&name=<c:out value="${headOfHousehold}" />&number=<c:out value="${householdNum}" />&subject=<c:out value="${alertLevel}" />'>
				  								</c:if>
              									<fmt:message key="detail.alert.viewNeighbors.txt"/></A>
            										&nbsp;
				                                </TD>
				                            </TR>
										</c:if>
				                            <TR class="defaultBackgroundColor">
				                                <TD valign="top" colspan="2"></TD>
				                            </TR>
				                        </TABLE>
				                    </TD>
				                </TR>
				            </TABLE>
				        </TD>
				    </TR>
				</TABLE>
<p/>
				<!-- End More Information Table -->
<TABLE cellspacing="0" cellpadding="0" width="305" border="0">
  <!-- Attachment block -->
  <TR>
    <TD valign="top" class="defaultBackgroundColor">
      <TABLE class="DataTableBorder" cellspacing="0" cellpadding="0" width="305" border="0">
        <TR>
          <TD>
            <TABLE cellspacing="1" cellpadding="1" width="305" border="0">
              <TR>
                <TD class="TextTableTitle" colspan="2" height="18">
                  <fmt:message key="detail.alert.attachments.txt"/>
                </TD>
              </TR>
              <TR class="defaultBackgroundColor">
                <TD class="Text">
                  <!-- Reference to window.open() does not need to be encoded because parameter is not data with characters -->
                  <A id="comments" HREF="AlertComments?alertId=<c:out value="${ac.alertId}" />&queryType=<c:out value="${param.queryType}"/>" onclick="window.open(this.href, 'sasaml_comments', 'scrollbars=1,width=675,height=700,resizable=1');  return false;">
                  <fmt:message key="detail.alert.comments.txt"/></A>
                </TD>
                <TD class="Text" align="center">
                  <span id="alertCommentCount"><c:out value="${ac.commentCount}" /></span>
                </TD>
              </TR>
              <TR class="defaultBackgroundColor">
                <TD class="Text">
                  <c:choose>
                    <c:when test="${aml:userHasCapability(sasamlProfile,'ALERT_ADD_VIEW_DOCUMENTS') and adddocuments == 'enable'}">
                      <!-- Reference to window.open() does not need to be encoded because parameter is not data with characters -->
                      <A id="documents" HREF="AlertDocuments?alertId=<c:out value="${ac.alertId}" />&queryType=<c:out value="${param.queryType}"/>" onclick="window.open(this.href, 'sasaml_documents', 'scrollbars=1,width=675,height=625, resizable=1');  return false;">
                      <fmt:message key="detail.alert.documents.txt"/></A>
                    </c:when>
                    <c:otherwise>
                      <fmt:message key="detail.alert.documents.txt"/>
                    </c:otherwise>
                  </c:choose>
                </TD>
                <TD class="Text" align="center">
                  <c:out value="${ac.documentCount}" />
                </TD>
              </TR>
              <%-- no alert regulatory reports if regulatory console integration is disabled, a transaction alert or if cases are enabled --%>
              <c:if test='${regulatoryReportingEnabled && ac.transaction == null && caselink != "enable"}'>
                <TR class="defaultBackgroundColor">
                  <TD class="Text">
                    <%-- Reference to window.open() does not need to be encoded because parameter is not data with characters --%>
                    <A id="regrpt" HREF="RegulatoryReportList?alertId=<c:out value="${ac.alertId}" />&queryType=<c:out value="${param.queryType}"/>" onclick="window.open(this.href, 'sasaml_regreport', 'scrollbars=1,width=850,height=675, resizable=1');  return false;">
                    <fmt:message key="detail.alert.regulatoryReports.txt"/></A>
                  </TD>
                  <TD class="Text" align="center">
                    <c:out value="${ac.sarCount}" />
                  </TD>
                </TR>
              </c:if>
            </TABLE>
          </TD>
        </TR>
      </TABLE>
    </TD>
  </TR>
  <TR>
    <TD colspan="2" height="10">
    </TD>
  </TR>
  <!-- End Attachment block -->

  <!-- Account information -->
     <c:if test="${ac.account != null}">
     <TR>
       <TD valign="top" class="defaultBackgroundColor">
         <TABLE class="DataTableBorder" cellspacing="0" cellpadding="0" width="305" border="0">
           <TR>
             <TD>
               <TABLE cellspacing="1" cellpadding="1" width="305" border="0">
                 <TR>
                   <TD class="TextTableTitle" colspan="3" height="18"><fmt:message key="detail.alert.acctInfo.txt"/></TD>
                 </TR>
                 <TR class="defaultBackgroundColor">
                   <TD class="Text">
                           <fmt:message key="detail.acctName.txt"/>
                   </TD>
                   <TD class="Text">
                           <c:out value="${ac.account.accountName}" />
                   </TD>
                 </TR>
                 <TR class="defaultBackgroundColor">
                   <TD class="Text">
                           <fmt:message key="detail.accountNumber.txt"/>
                   </TD>
                   <TD class="Text">
                      <A id="acctDetail" href='EntityDetail?acctKey=<c:out value="${ac.account.key}" />&alertId=<c:out value="${ac.alertId}" />&alertDateTime=<c:out value="${ac.alertDateTime}" />'>
                            <c:out value="${ac.account.accountNumber}" />
                      </A>
                   </TD>
                 </TR>
                 <TR class="defaultBackgroundColor">
                   <TD class="Text">
                           <fmt:message key="detail.acctOpen.txt"/>
                   </TD>
                   <TD class="Text">
                           <fmt:formatDate value="${ac.account.openingDate}" />
                   </TD>
                 </TR>
                 <TR class="defaultBackgroundColor">
	              <TD class="Text">
                     <c:set var="entityNum">
			   		    <%=UTF8Encoder.encode(((AlertContent)pageContext.findAttribute("ac")).getAccount().getAccountNumber())%>
			         </c:set>
			      <!-- Reference to window.open() does not need to be encoded because parameter is not data with characters -->
                     <A id="entityComments" HREF="Comments?entityID=<c:out value="${entityNum}" />&entityType=ACC" onclick="window.open(this.href, 'sasaml_comments', 'scrollbars=1,width=675,height=700, resizable=1');  return false;">
                     <c:set var="titleText">
          				<fmt:message key="search.tabBanner.account.txt"/>
            		 </c:set>
			         <fmt:message key="comment.entity.title.fmt.txt">
			         	<fmt:param value="${titleText}"/>
			         </fmt:message>
		             </A>
 	              </TD>
		          <TD class="Text">
		             <c:out value="${ac.account.commentCount}" />
		          </TD>
	            </TR>
	            <!-- Entity Documents -->
	            <TR class="defaultBackgroundColor">
		        	<TD class="Text">
		            	<c:choose>
		                	<c:when test="${aml:userHasCapability(sasamlProfile,'SUBJECT_ADD_VIEW_DOCUMENTS') and adddocuments == 'enable'}">
		                	<!-- Reference to window.open() does not need to be encoded because parameter is not data with characters -->
		                    	<A id="documents" HREF="EntityDocuments?entityID=<c:out value="${entityNum}" />&entityType=ACC" onclick="window.open(this.href, 'sasaml_documents', 'scrollbars=1,width=675,height=625, resizable=1');  return false;">
		                        <fmt:message key="entity.document.account.txt"/></A>
		                    </c:when>
		                    <c:otherwise>
		                    	<fmt:message key="entity.document.account.txt"/>
		                    </c:otherwise>
		                </c:choose>
		           	</TD>
		            <TD class="Text">
		            	<c:out value="${ac.account.documentCount}" />
		            </TD>
                </TR>

                 <TR class="tableSectionTitleBackgroundColor">
                   <TD class="DataHeader" height="13" colspan="2"><fmt:message key="detail.alert.acctSummary.txt"/></TD>
                 </TR>
                 <TR valign="middle" class="defaultBackgroundColor">
                   <TD class="Text"> <fmt:message key="detail.alert.acctEndValue.txt"/></TD>
                   <TD class="Text" align="<%=ViewUtils.alignRight(pageContext)%>">
						<fmt:formatNumber type="currency" currencySymbol="${ac.account.accountCurrencyCode} " value="${ac.account.endingValue}" />
				   </TD>
                 </TR>
                 <TR valign="middle" class="defaultBackgroundColor">
                   <TD class="Text"><fmt:message key="detail.acctAvgBal.txt"/></TD>
                   <TD class="Text" align="<%=ViewUtils.alignRight(pageContext)%>">
							<fmt:formatNumber type="currency" currencySymbol="${ac.account.accountCurrencyCode} " value="${ac.account.averageBalance}" />
				   </TD>
                 </TR>
                 <TR valign="middle" class="defaultBackgroundColor">
                   <TD class="Text"><fmt:message key="detail.acctWires.txt"/></TD>
                   <TD class="Text" align="<%=ViewUtils.alignRight(pageContext)%>"><c:out value="${ac.account.numWires}" /></TD>
                 </TR>
                 <TR valign="middle" class="defaultBackgroundColor">
                   <TD class="Text"><fmt:message key="detail.alert.acctWiresCredit.txt"/></TD>
                   <TD class="Text" align="<%=ViewUtils.alignRight(pageContext)%>">
							<fmt:formatNumber type="currency" currencySymbol="${ac.account.accountCurrencyCode} " value="${ac.account.amountWiresCredit}" />
				   </TD>
				 </TR>
               </TABLE>
             </TD>
           </TR>
         </TABLE>
       </TD>
     </TR>
     <TR>
       <TD colspan="2" height="10"></TD></TR>
     <TR>
       <TD valign="top" class="defaultBackgroundColor">
         <TABLE class="DataTableBorder" cellspacing="0" cellpadding="0" width="305" border="0">
           <TR>
             <TD>
               <TABLE cellspacing="1" cellpadding="1" width="305" border="0">
                 <TR>
                   <TD class="TextTableTitle" colspan="3" height="18"><fmt:message key="detail.acctMailingAddress.txt"/></TD>
                 </TR>
                 <TR class="defaultBackgroundColor">
                  <TD colspan="3">
	               <aml:addrMapLink>
	                  <aml:param name="entityType"><%=AddressMapAction.ACCOUNT%></aml:param>
	                  <aml:param name="entityKey"><c:out value="${ac.account.key}" /></aml:param>
	                  <aml:param name="linkEnabled"><c:out value="${mailingMapEnabled}" /></aml:param>
                    <TABLE border="0" cellpadding="0" cellspacing="0">
                       <TR>
                         <TD class="Text">
                           <c:out value="${ac.account.address1}" />
                         </TD>
                       </TR>
                       <TR>
                         <TD class="Text">
                          <c:out value="${ac.account.address2}" />
                         </TD>
                       </TR>
                       <TR>
                         <TD class="Text">
                         <c:if test="${ac.account.city != null}">
                          <c:out value="${ac.account.city}" />,
                         </c:if>
                         <c:out value="${ac.account.state}" />&nbsp;
                         <c:out value="${ac.account.postal}" />
                        </TD>
                       </TR>
                       <TR>
                         <TD class="Text">
                          <c:out value="${ac.account.country}" />
                         </TD>
                       </TR>
                     </TABLE>
                    </aml:addrMapLink>
                   </TD>
                 </TR>
               </TABLE>
             </TD>
           </TR>
         </TABLE>
       </TD>
     </TR>
     <TR>
       <TD colspan="2" height="10"></TD></TR>
   <!-- Other Account Information -->
     <TR>
       <TD valign="top" class="defaultBackgroundColor">
         <TABLE class="DataTableBorder" cellspacing="0" cellpadding="0" width="305" border="0">
           <TR>
             <TD>
               <TABLE cellspacing="1" cellpadding="1" width="305" border="0">
                 <TR>
                   <TD class="TextTableTitle" colspan="3" height="18"><fmt:message key="detail.primaryOwner.txt"/></TD></TR>
                 <TR class="defaultBackgroundColor">
                   <TD class="Text" width="50%">
                        <fmt:message key="detail.customerName.txt"/>
                   </TD>
                   <TD class="Text">
                        <c:out value="${ac.account.primaryName}" />
                   </TD>
                 </TR>
                 <TR class="defaultBackgroundColor">
                   <TD class="Text" width="50%">
                        <fmt:message key="detail.alert.customerNumber.txt"/>
                   </TD>
                   <TD class="Text">
                      <A href="EntityDetail?custKey=<c:out value="${ac.account.primaryPartyKey}" />&alertId=<c:out value="${ac.alertId}" />&alertDateTime=<c:out value="${ac.alertDateTime}" />">
                        <c:out value="${ac.account.primaryPartyNumber}" />
                      </A>
                   </TD>
                 </TR>
                 <TR valign="middle" class="defaultBackgroundColor">
                   <TD class="Text" width="50%"> <fmt:message key="detail.taxIDNumber.txt"/> </TD>
                   <TD class="Text">
                     <c:out value="${ac.account.primarySSN}" />
                   </TD>
                 </TR>
                 <TR valign="middle" class="defaultBackgroundColor">
                   <TD class="Text" width="50%"> <fmt:message key="detail.dateofbirth.txt"/> </TD>
                   <TD class="Text">
                      <fmt:formatDate value="${ac.account.primaryDateOfBirth}" />
                   </TD>
                 </TR>
                 <TR valign="middle" class="defaultBackgroundColor">
                   <TD class="Text" width="50%"> <fmt:message key="detail.countryResidence.txt"/></TD>
                   <TD class="Text">
                     <c:out value="${ac.account.primaryResidenceCountry}" />
                   </TD>
                 </TR>
                 <TR valign="middle" class="defaultBackgroundColor">
                   <TD class="Text" width="50%"> <fmt:message key="detail.countryCitizen.txt"/></TD>
                   <TD class="Text">
                     <c:out value="${ac.account.primaryCitizenshipCountry}" />
                   </TD>
                 </TR>
                 <TR class="tableSectionTitleBackgroundColor">
                  <TD class="DataHeader" height="20" colspan="3"><fmt:message key="detail.telephone.txt"/>
                  </TD>
                 </TR>
                 <TR valign="middle" class="defaultBackgroundColor">
                   <TD class="Text" width="50%"> <fmt:message key="detail.primaryTelephone.txt"/> </TD>
                   <TD class="Text">
                     <c:out value="${ac.account.phone}" />
                   </TD>
                 </TR>
                 <TR valign="middle" class="defaultBackgroundColor">
                   <TD class="Text" width="50%"> <fmt:message key="detail.secondaryTelephone.txt"/> </TD>
                   <TD class="Text">
                     <c:out value="${ac.account.phone2}" />
                   </TD>
                 </TR>
               </TABLE>
             </TD>
           </TR>
         </TABLE>
       </TD>
     </TR>
  </c:if>
  <c:if test="${ac.customer != null}">
   <!-- Customer information -->
     <TR>
       <TD valign="top" class="defaultBackgroundColor">
         <TABLE class="DataTableBorder" cellspacing="0" cellpadding="0" width="305" border="0">
           <TR>
             <TD>
               <TABLE cellspacing="1" cellpadding="1" width="305" border="0">
                 <TR>
                   <TD class="TextTableTitle" colspan="3" height="18"><fmt:message key="detail.alert.customerInfo.txt"/></TD></TR>
                 <TR class="defaultBackgroundColor">
                   <TD class="Text">
                           <fmt:message key="detail.customerName.txt"/>
                   </TD>
                   <TD class="Text">
                           <c:out value="${ac.customer.customerName}" />
                   </TD>
                 </TR>
                 <TR class="defaultBackgroundColor">
                   <TD class="Text">
                           <fmt:message key="detail.alert.customerNumber.txt"/>
                   </TD>
                   <TD class="Text">
                           <A href="EntityDetail?custKey=<c:out value="${ac.customer.key}" />&alertId=<c:out value="${ac.alertId}" />&alertDateTime=<c:out value="${ac.alertDateTime}" />">
                            <c:out value="${ac.customer.customerNumber}" />
                           </A>
                   </TD>
                 </TR>
                 <TR valign="middle" class="defaultBackgroundColor">
                   <TD class="Text" width="50%"> <fmt:message key="detail.taxIDNumber.txt"/></TD>
                   <TD class="Text">
                     <c:out value="${ac.customer.taxID}" />
                   </TD>
                 </TR>
                 <TR valign="middle" class="defaultBackgroundColor">
                   <TD class="Text" width="50%"> <fmt:message key="detail.dateofbirth.txt"/> </TD>
                   <TD class="Text">
                      <fmt:formatDate value="${ac.customer.dateOfBirth}" />
                   </TD>
                 </TR>
                 <TR valign="middle" class="defaultBackgroundColor">
                   <TD class="Text" width="50%"> <fmt:message key="detail.countryResidence.txt"/></TD>
                   <TD class="Text">
                     <c:out value="${ac.customer.residenceCountry}" />
                   </TD>
                 </TR>
                 <TR valign="middle" class="defaultBackgroundColor" width="50%">
                   <TD class="Text"> <fmt:message key="detail.countryCitizen.txt"/></TD>
                   <TD class="Text">
                     <c:out value="${ac.customer.citizenshipCountry}" />
                   </TD>
                 </TR>
                 <TR class="defaultBackgroundColor">
                  <c:set var="customerNum">
			   		<%=UTF8Encoder.encode(((AlertContent)pageContext.findAttribute("ac")).getCustomer().getCustomerNumber())%>
			      </c:set>
		          <TD class="Text">
                      <A HREF="Comments?entityID=<c:out value="${customerNum}" />&entityType=PTY" onclick="window.open(this.href, 'sasaml_comments', 'scrollbars=1,width=675,height=700, resizable=1');  return false;">
                   	  <c:set var="titleText">
		          		<fmt:message key="search.tabBanner.customer.txt"/>
		          	  </c:set>
			          <fmt:message key="comment.entity.title.fmt.txt">
			          	<fmt:param value="${titleText}"/>
			          </fmt:message>
		              </A>
	              </TD>
		          <TD class="Text">
		           	<c:out value="${ac.customer.commentCount}" />
		          </TD>
		        </TR>
		        <!-- Entity Documents -->
	            <TR class="defaultBackgroundColor">
		        	<TD class="Text">
		            	<c:choose>
		                	<c:when test="${aml:userHasCapability(sasamlProfile,'SUBJECT_ADD_VIEW_DOCUMENTS') and adddocuments == 'enable'}">
		                    	<A id="documents" HREF="EntityDocuments?entityID=<c:out value="${customerNum}" />&entityType=PTY" onclick="window.open(this.href, 'sasaml_documents', 'scrollbars=1,width=675,height=625, resizable=1');  return false;">
		                        <fmt:message key="entity.document.customer.txt"/></A>
		                    </c:when>
		                    <c:otherwise>
		                    	<fmt:message key="entity.document.customer.txt"/>
		                    </c:otherwise>
		                </c:choose>
		           	</TD>
		            <TD class="Text">
		            	<c:out value="${ac.customer.documentCount}" />
		            </TD>
                </TR>
                 </TABLE></TD></TR></TABLE></TD></TR>
   <!-- Customer Street Address -->
     <TR>
       <TD colspan="2" height="10"></TD></TR>
     <TR>
       <TD valign="top" class="defaultBackgroundColor">
         <TABLE class="DataTableBorder" cellspacing="0" cellpadding="0" width="305" border="0">
           <TR>
             <TD>
               <TABLE cellspacing="1" cellpadding="1" width="305" border="0">
                 <TR>
                   <TD class="TextTableTitle" colspan="3" height="18"><fmt:message key="detail.address.txt"/></TD>
                 </TR>
                 <TR class="tableSectionTitleBackgroundColor">
                   <TD class="DataHeader" height="20" colspan="3">
                    <fmt:message key="detail.streetAddress.txt"/>
                   </TD>
                 </TR>
                 <TR class="defaultBackgroundColor">
                   <TD colspan="3">
	                <aml:addrMapLink>
	                   <aml:param name="entityType"><%=AddressMapAction.PARTY_STREET%></aml:param>
	                   <aml:param name="entityKey"><c:out value="${ac.customer.key}" /></aml:param>
	                   <aml:param name="linkEnabled"><c:out value="${mailingMapEnabled}" /></aml:param>
                     <TABLE width="100%" border="0" cellpadding="0" cellspacing="0">
                       <TR>
                         <TD class="Text">
                           <c:out value="${ac.customer.address1}" />
                         </TD>
                       </TR>
                       <TR>
                         <TD class="Text">
                           <c:out value="${ac.customer.address2}" />
                         </TD>
                       </TR>
                       <TR>
                         <TD class="Text">
                           <c:if test="${ac.customer.city != null}">
                           <c:out value="${ac.customer.city}" />,
                           </c:if>
                           <c:out value="${ac.customer.state}" />&nbsp;
                           <c:out value="${ac.customer.postal}" />
                         </TD>
                       </TR>
                       <TR>
                         <TD class="Text">
                           <c:out value="${ac.customer.country}" />
                         </TD>
                       </TR>
                     </TABLE>
                    </aml:addrMapLink>
                   </TD>
                 </TR>
                 <TR class="tableSectionTitleBackgroundColor">
                   <TD class="DataHeader" height="20" colspan="3"><fmt:message key="detail.telephone.txt"/>
                   </TD>
                 </TR>
                 <TR valign="middle" class="defaultBackgroundColor">
                   <TD class="Text" width="50%"> <fmt:message key="detail.primaryTelephone.txt"/> </TD>
                   <TD class="Text">
                     <c:out value="${ac.customer.phone}" />
                   </TD>
                 </TR>
                 <TR valign="middle" class="defaultBackgroundColor" width="50%">
                   <TD class="Text"> <fmt:message key="detail.secondaryTelephone.txt"/> </TD>
                   <TD class="Text">
                     <c:out value="${ac.customer.phone2}" />
                   </TD>
                 </TR>
               </TABLE>
             </TD>
           </TR>
         </TABLE>
       </TD>
     </TR>
     <TR>
       <TD colspan="2" height="10"></TD></TR>
  </c:if>
  <c:if test="${ac.household != null}">
  <!-- Household information -->
     <TR>
       <TD valign="top" class="defaultBackgroundColor">
         <TABLE class="DataTableBorder" cellspacing="0" cellpadding="0" width="305" border="0">
           <TR>
             <TD>
               <TABLE cellspacing="1" cellpadding="1" width="305" border="0">
                 <TR>
                   <TD class="TextTableTitle" colspan="3" height="18"><fmt:message key="detail.alert.householdInfo.txt"/></TD></TR>
                 <TR class="defaultBackgroundColor">
                   <TD class="Text">
                           <fmt:message key="detail.alert.householdHead.txt"/>
                   </TD>
                   <TD class="Text">
                           <c:out value="${ac.household.headOfHousehold}" />
                   </TD>
                 </TR>
                 <TR class="defaultBackgroundColor">
                   <TD class="Text">
                      <fmt:message key="detail.alert.householdNumber.txt"/>
                   </TD>
                   <TD class="Text">
                        <A href="EntityDetail?hhKey=<c:out value="${ac.household.key}" />&alertId=<c:out value="${ac.alertId}" />&alertDateTime=<c:out value="${ac.alertDateTime}" />">
                          <c:out value="${ac.household.householdNumber}" />
                        </A>
                   </TD>
                 </TR>
                 <TR class="defaultBackgroundColor">
		          <TD class="Text">
                      <c:set var="householdNum">
				   		<%=UTF8Encoder.encode(((AlertContent)pageContext.findAttribute("ac")).getHousehold().getHouseholdNumber())%>
				      </c:set>

                      <A HREF="Comments?entityID=<c:out value="${householdNum}" />&entityType=HHD" onclick="window.open(this.href, 'sasaml_comments', 'scrollbars=1,width=675,height=700, resizable=1');  return false;">
                      <c:set var="titleText">
		          		<fmt:message key="search.tabBanner.household.txt"/>
		          	  </c:set>
			          <fmt:message key="comment.entity.title.fmt.txt">
			          	<fmt:param value="${titleText}"/>
			          </fmt:message>
		              </A>
	              </TD>
		          <TD class="Text">
		           	<c:out value="${ac.household.commentCount}" />
		          </TD>
		        </TR>
		        <!-- Entity Documents -->
	            <TR class="defaultBackgroundColor">
		        	<TD class="Text">
		            	<c:choose>
		                	<c:when test="${aml:userHasCapability(sasamlProfile,'SUBJECT_ADD_VIEW_DOCUMENTS') and adddocuments == 'enable'}">
		                    	<A id="documents" HREF="EntityDocuments?entityID=<c:out value="${householdNum}" />&entityType=HHD" onclick="window.open(this.href, 'sasaml_documents', 'scrollbars=1,width=675,height=625, resizable=1');  return false;">
		                        <fmt:message key="entity.document.household.txt"/></A>
		                    </c:when>
		                    <c:otherwise>
		                    	<fmt:message key="entity.document.household.txt"/>
		                    </c:otherwise>
		                </c:choose>
		           	</TD>
		            <TD class="Text">
		            	<c:out value="${ac.household.documentCount}" />
		            </TD>
                </TR>
                 </TABLE></TD></TR></TABLE></TD></TR>
   <!-- Household Street Address -->
     <TR>
       <TD colspan="2" height="10"></TD></TR>
     <TR>
       <TD valign="top" class="defaultBackgroundColor">
         <TABLE class="DataTableBorder" cellspacing="0" cellpadding="0" width="305" border="0">
           <TR>
             <TD>
               <TABLE cellspacing="1" cellpadding="1" width="305" border="0">
                 <TR>
                   <TD class="TextTableTitle" colspan="3" height="18"><fmt:message key="detail.address.txt"/></TD>
                 </TR>
                 <TR class="tableSectionTitleBackgroundColor">
                   <TD class="DataHeader" height="20" colspan="3">
                    <fmt:message key="detail.streetAddress.txt"/>
                   </TD>
                 </TR>
                 <TR class="defaultBackgroundColor">
                   <TD colspan="3">
	                <aml:addrMapLink>
	                   <aml:param name="entityType"><%=AddressMapAction.HOUSEHOLD%></aml:param>
	                   <aml:param name="entityKey"><c:out value="${ac.household.key}" /></aml:param>
	                   <aml:param name="linkEnabled"><c:out value="${mailingMapEnabled}" /></aml:param>
                     <TABLE border="0" cellpadding="0" cellspacing="0">
                       <TR>
                         <TD class="Text">
                           <c:out value="${ac.household.address1}" />
                         </TD>
                       </TR>
                       <TR>
                         <TD class="Text">
                           <c:out value="${ac.household.address2}" />
                         </TD>
                       </TR>
                       <TR>
                         <TD class="Text">
                           <c:if test="${ac.household.city != null}">
                           <c:out value="${ac.household.city}" />,
                           </c:if>
                           <c:out value="${ac.household.state}" />&nbsp;
                           <c:out value="${ac.household.postal}" />
                         </TD>
                       </TR>
                       <TR>
                         <TD class="Text">
                           <c:out value="${ac.household.country}" />
                         </TD>
                       </TR>
                     </TABLE>
                    </aml:addrMapLink>
                   </TD>
                 </TR>
                 <TR class="tableSectionTitleBackgroundColor">
                   <TD class="DataHeader" height="20" colspan="3"><fmt:message key="detail.telephone.txt"/>
                   </TD>
                 </TR>
                 <TR valign="middle" class="defaultBackgroundColor">
                   <TD class="Text" width="50%"> <fmt:message key="detail.primaryTelephone.txt"/> </TD>
                   <TD class="Text">
                     <c:out value="${ac.household.phone}" />
                   </TD>
                 </TR>
                 <TR valign="middle" class="defaultBackgroundColor">
                   <TD class="Text" width="50%"> <fmt:message key="detail.secondaryTelephone.txt"/> </TD>
                   <TD class="Text">
                     <c:out value="${ac.household.phone2}" />
                   </TD>
                 </TR>
               </TABLE>
             </TD>
           </TR>
         </TABLE>
       </TD>
     </TR>
<!-- END household Street Address -->
  </c:if>
  <c:if test="${ac.transaction != null}">
  <!-- Transaction information -->
     <TR>
       <TD valign="top" class="defaultBackgroundColor">
         <TABLE class="DataTableBorder" cellspacing="0" cellpadding="0" width="305" border="0">
           	<TR>
            	<TD>
               		<TABLE cellspacing="1" cellpadding="1" width="305" border="0">
                 		<TR>
                   			<TD class="TextTableTitle" colspan="3" height="18"><bean:message key="detail.alert.transactionInfo.txt"/></TD>
                   		</TR>
			  			<TR class="defaultBackgroundColor">
							<TD class="Text"><bean:message key="detail.transaction.referenceNumber.txt"/></TD>
		                    <c:set var="trNum">
					   		    <%= UTF8Encoder.encode(((AlertContent)pageContext.findAttribute("ac")).getTransaction().getTransactionReferenceNumber()) %>
					        </c:set>
							<TD class="Text" >
								<A href="EntityDetail?taNum=<c:out value="${trNum}" />&alertId=<c:out value="${param.alertId}" />&alertDateTime=<c:out value="${ac.alertDateTime}" />">&nbsp;<c:out value="${ac.transaction.transactionReferenceNumber}" /></A>
							</TD>
			  			</TR>
			  			<TR valign="middle" class="defaultBackgroundColor">
							<TD class="Text"><bean:message key="detail.transaction.description.txt"/></TD>
							<TD class="Text">&nbsp;<c:out value="${ac.transaction.transactionDescription}" /></TD>
			  			</TR>
			  			<TR valign="middle" class="defaultBackgroundColor">
			  				<TD class="Text"><bean:message key="detail.transaction.date.txt"/></TD>
			  				<TD class="Text">&nbsp;<fmt:parseDate var="parseDate" pattern="yyyyMMdd" value="${ac.transaction.txnDate}" /><fmt:formatDate value="${parseDate}" /></TD>
			  			</TR>
			  			<TR valign="middle" class="defaultBackgroundColor">
							<TD class="Text"><bean:message key="detail.transaction.time.txt"/></TD>
							<TD class="Text">&nbsp;<fmt:formatDate type="time" value="${ac.transaction.transactionTime}"/></TD>
			  			</TR>
			  			<TR valign="middle" class="defaultBackgroundColor">
							<TD class="Text"><bean:message key="detail.transaction.type.txt"/></TD>
							<TD class="Text">&nbsp;<c:out value="${ac.transaction.transactionCdiDesc}" /></TD>
					  	</TR>
					  	<TR valign="middle" class="defaultBackgroundColor">
							<TD class="Text"><bean:message key="detail.transaction.transCurrencyAmount.txt"/></TD>
							<TD class="Text">&nbsp;<fmt:formatNumber type="currency" currencySymbol="${ac.transaction.accountCurrencyCode} " value="${ac.transaction.ccyAmount}" />
  							</TD>
  						</TR>
  			  			<TR valign="middle" class="defaultBackgroundColor">
  							<TD class="Text"><bean:message key="detail.accountNumber.txt"/></TD>
							<c:set var="trAccountNum">
								<%= UTF8Encoder.encode(((AlertContent)pageContext.findAttribute("ac")).getTransaction().getAccountNumber()) %>
							</c:set>
  							<TD class="Text">
  								<A href="EntityDetail?acctKey=<c:out value="${ac.transaction.accountKey}" />&alertId=<c:out value="${param.alertId}" />&alertDateTime=<c:out value="${ac.alertDateTime}" />">&nbsp;<c:out value="${trAccountNum}" /></A>
  							</TD>
  			  			</TR>
                 	</TABLE>
				</TD>
			</TR>
		</TABLE>
	</TD>
</TR>
  </c:if>
</TABLE>
<p size="1"/>
<!-- Add Site Specified Alert Metadata Details, if applicable -->
<c:if test="${queryResults != null}" >
	<!-- Insert Site Specified Details -->
	<tiles:insert page="tiles/site_details.jsp">
		<tiles:put name="tableWidth">305</tiles:put><!--I18NOK:LINE-->
	</tiles:insert>
</c:if>
				<%
					if (amountGraph && !countGraph) {
				%>
				<TABLE border="0" cellspacing="0" cellpadding="0" WIDTH="100%">
					<TR HEIGHT="10">
						<TD></TD>
					</TR>
					<TR>
						<TD>
							<TABLE class="DataTableBorder" border="0" cellspacing="0" cellpadding="0" WIDTH="100%">
								<TR VALIGN="top">
									<TD>
										<TABLE class="DataTableBorder" id="amtGraphTable" name="amtGraphTable" border="0" cellspacing="1" cellpadding="1" VALIGN="top" WIDTH="100%">
											<TR>
												<!-- Graph -->
												<TD class="TextTableTitle" height="18"><fmt:message key="alertDetails.graph.amt.tableTitle.txt"/></TD>
											</TR>
											<TR>
												<!-- Graph -->
												<TD class="TextWhiteBG">
													<TABLE id="amtGraphSubTable" NAME="amtGraphSubTable" border="0" cellspacing="0" cellpadding="0" WIDTH="100%">
														<TR STYLE="display:block;" VALIGN="middle">
															<TD class="Text">
																<%
																	if (queryWorked && !noData) {

																	// Write the chart to the display
																		amtChart.write(out);

																	} else {
																		if (noData) {
																%>
																		<center>&nbsp;<p/><%= noDataMessage %><p/>&nbsp;</center>
																<%
																		} else if (!showDefaultErrorMessage) {
																%>
																			<%= graphErrorMessage %>
																<%
																		} else {
																%>
																			<center>&nbsp;<p/><%= defaultGraphErrorMessage %><p/>&nbsp;</center>
																<%
																		}
																	}
																%>
															</TD>
														</TR>
													</TABLE>
												</TD>
											</TR>
										</TABLE>
									</TD>
								</TR>
							</TABLE>
						</TD>
					</TR>
					<TR>

						<TD class="Text" ALIGN="right">
							<%
								if (queryWorked && !noData)
								{
							%>
									<a href="AmountGraph" ONCLICK="window.open('./BigGraph?useUsableId=true&usableId=<%= request.getAttribute("amountUseableId") %>&idHash=<%= request.getAttribute("amountId") %>&statsLine=-1&count=false&party=<%= request.getAttribute("party") %>','bigGraph','width=800,height=600,scrollbars=1,resizable=1');return false">
										<fmt:message key="alertDetails.graph.amt.link.txt"/>
									</a>
							<%
								} else {
							%>
									<u>
									<font class="disabledAnchor">

									<fmt:message key="alertDetails.graph.amt.link.txt"/>

									</font>
									</u>
							<%
								}
							%>
						</TD>
					</TR>
				</TABLE>
				<%
					}//end if (!countGraph)
				%>
			</TD>
		</TR>
		<%
			if (countGraph && amountGraph) {
		%>
		<!-- Small Transaction Graph Vertical Spacer-->
		<TR colspan="3">
			<TD>
			<TABLE border="0" cellspacing="0" cellpadding="0" WIDTH="100%" HEIGHT="10">
				<TR VALIGN="middle">
					<TD></TD>
				</TR>
			</TABLE>
			</TD>
		</TR>
		<!-- Small Transaction Graph Vertical Spacer-->

		<!-- Small Transaction Graph -->
		<TR colspan="3">
			<TD>
				<TABLE class="DataTableBorder" border="0" cellspacing="0" cellpadding="0" WIDTH="100%">
					<TR VALIGN="top">
						<TD>
							<TABLE class="DataTableBorder" id="countGraphTable" name="countGraphTable" border="0" cellspacing="1" cellpadding="1" VALIGN="top" WIDTH="100%">
								<TR>
									<!-- Graph -->
									<TD class="TextTableTitle" height="18"><fmt:message key="alertDetails.graph.count.tableTitle.txt"/></TD>
								</TR>
								<TR VALIGN="top">
									<!-- Graph -->
									<TD class="TextWhiteBG">
										<TABLE id="countGraphSubTable" NAME="countGraphSubTable" border="0" cellspacing="0" cellpadding="0" WIDTH="100%">
											<TR STYLE="display:block;" VALIGN="middle">
												<TD class="Text">
													<%
														if (queryWorked && !noData) {
															// Write the chart to the display
																countChart.write(out);

														} else {
															if (noData) {
													%>
																<center>&nbsp;<p/><%= noDataMessage %><p/>&nbsp;</center>
													<%
															} else if (!showDefaultErrorMessage) {
													%>
																<%= graphErrorMessage %>
													<%
															} else {
													%>
																<center>&nbsp;<p/><%= defaultGraphErrorMessage %><p/>&nbsp;</center>
													<%
															}
														}
													%>
												</TD>
											</TR>
										</TABLE>
									</TD>
								</TR>
							</TABLE>
						</TD>
					</TR>
				</TABLE>
			</TD>

			<!-- Column to Column Horizontal Gap -->
			<TD>&nbsp;</TD>
			<!-- End Column to Column Horizontal Gap -->

			<TD>
				<TABLE class="DataTableBorder" border="0" cellspacing="0" cellpadding="0" WIDTH="100%">
					<TR VALIGN="top">
						<TD>
							<TABLE class="DataTableBorder" id="amtGraphTable" name="amtGraphTable" border="0" cellspacing="1" cellpadding="1" VALIGN="top" WIDTH="100%">
								<TR>
									<!-- Graph -->
									<TD class="TextTableTitle" height="18"><fmt:message key="alertDetails.graph.amt.tableTitle.txt"/></TD>
								</TR>
								<TR>
									<!-- Graph -->
									<TD class="TextWhiteBG">
										<TABLE id="amtGraphSubTable" NAME="amtGraphSubTable" border="0" cellspacing="0" cellpadding="0" WIDTH="100%">
											<TR STYLE="display:block;" VALIGN="middle">
												<TD class="Text">
													<%
														if (queryWorked && !noData) {

														// Write the chart to the display
															amtChart.write(out);

														} else {
															if (noData) {
													%>
																<center>&nbsp;<p/><%= noDataMessage %><p/>&nbsp;</center>
													<%
															} else if (!showDefaultErrorMessage) {
													%>
																<%= graphErrorMessage %>
													<%
															} else {
													%>
																<center>&nbsp;<p/><%= defaultGraphErrorMessage %><p/>&nbsp;</center>
													<%
															}
														}
													%>
												</TD>
											</TR>
										</TABLE>
									</TD>
								</TR>
							</TABLE>
						</TD>
					</TR>
				</TABLE>
			</TD>
		</TR>
		<TR colspan="3">

			<TD class="Text" ALIGN="right">
				<%
					if (queryWorked && !noData)
					{
				%>
						<a href="CountGraph" ONCLICK="window.open('./BigGraph?useUsableId=true&usableId=<%= request.getAttribute("countUseableId") %>&idHash=<%= request.getAttribute("countId") %>&statsLine=-1&count=true&party=<%= request.getAttribute("party") %>','bigGraph','width=800,height=600,scrollbars=1,resizable=1');return false">
							<fmt:message key="alertDetails.graph.count.link.txt"/>
						</a>
				<%
					} else {
				%>
						<u>
						<font class="disabledAnchor">

						<fmt:message key="alertDetails.graph.amt.link.txt"/>

						</font>
						</u>
				<%
					}
				%>
			</TD>

		<!-- Column to Column Horizontal Gap -->
			<TD width="5px">&nbsp;</TD>
		<!-- End Column to Column Horizontal Gap -->

			<TD class="Text" ALIGN="right">
				<%
					if (queryWorked && !noData)
					{
				%>
						<a href="AmountGraph" ONCLICK="window.open('./BigGraph?useUsableId=true&usableId=<%= request.getAttribute("amountUseableId") %>&idHash=<%= request.getAttribute("amountId") %>&statsLine=-1&count=false&party=<%= request.getAttribute("party") %>','bigGraph','width=800,height=600,scrollbars=1,resizable=1');return false">
							<fmt:message key="alertDetails.graph.amt.link.txt"/>
						</a>
				<%
					} else {
				%>
						<u>
						<font class="disabledAnchor">

						<fmt:message key="alertDetails.graph.amt.link.txt"/>

						</font>
						</u>
				<%
					}
				%>
			</TD>
		</TR>
		<!-- End Small Transaction Graph -->
		<%
			}//end if (COLSPAN=3)
		%>
	</TABLE>

<!-- Transactions Table -->
<!-- c:if test="${ac.transaction == null && (ac.transactionCount > 0 || trigger!='N')}" -->
    <TABLE align="center" border="0" cellpadding="0" cellspacing="0" style="margin-top:10px" width="620">
	<TR><TD>

		<TABLE border="0" cellpadding="0" cellspacing="0" width="620">
			<TR >
        		<TD width="33%">&nbsp;&nbsp;
				<!-- insert the tabbed portion of the menu with the correct tab selected -->
<%  				String alertId = (String) request.getAttribute("alertId");
   					String trigger = (String) request.getAttribute("trigger");
   					String URL = "AlertTransactions?alertId=" + alertId + "&trigger="+ trigger;
%>
					<tiles:insert page="tiles/transmenu.jsp">
						<tiles:put name="selected" value="<%=URL%>" />
					</tiles:insert>
				</TD>
				<TD width="33%" align="<%=ViewUtils.alignRight(pageContext)%>">&nbsp;&nbsp;
       				<TABLE border="0" cellpadding="0" cellspacing="0">
            			<TR>
            				<TD class="Text" align="<%=ViewUtils.alignRight(pageContext)%>">&nbsp;
								<c:if test="${aml:userHasCapability(sasamlProfile,'EXPORT_CSV')}">
                                    <%-- see displayExportLink above --%>
                                    <A target="new" id="exportTrans_dest" style="visibility:${ac.transactionCount > 0 ? 'visible' : 'hidden'}" href="ExportTransactions?alertId=<c:out value='${ac.alertId}' />&trigger=<c:out value='${trigger}' />"><fmt:message key="detail.alert.transactions.export.txt"/></A>
								</c:if>
   	   						</TD>
        	  			</TR>
					</TABLE>
				</TD>
    		</TR>
    	</TABLE>
	</TD></TR>
	<TR><TD id="transactionsTable" valign="top">
	<!-- Transaction List Table -->
		<TABLE class="mainTable" cellspacing="0" cellpadding="0" width="620" border="0">
			<TR><TD>
				<TABLE cellspacing="1" cellpadding="2" width="100%" border="0">
				<TR><TD class="tableHeader" colspan="10" height="18">
					<div width="100%">
						<div style="float:left">
							<c:if test="${trigger=='Y'}" >
								<fmt:message key="detail.alert.transactions.title.triggering.txt"/>
							</c:if>
							<c:if test="${trigger=='N'}" >
								<fmt:message key="detail.alert.transactions.title.replicated.txt"/>
							</c:if>
							<c:if test="${trigger=='A'}" >
								<fmt:message key="detail.alert.transactions.title.core.txt">
                                  <fmt:param value="${ac.transactionsFromDate}"/>
								</fmt:message>
							</c:if>
						</div>
					<%-- c:if test="${statList[0].rowsInSubset > statList[0].maxRowsSpecified}" --%>
						<div style="float:right">
							<fmt:message key="detail.relatives.counter.message.fmt.txt">
								<fmt:param value="${statList[0].rowsReturned}" />
								<fmt:param value="${statList[0].rowsInSubset}" />
							</fmt:message>
						</div>
					<%-- /c:if --%>
					</div>
				</TD></TR>
			<c:set var="counter" value="1" />
			<c:forEach var="trans" items="${ac.transactions}">
				<c:if test="${counter==1}">
					<TR>
						<TH class="centeredTableHeader" width="14">&nbsp;</TH>
						<TH class="centeredTableHeader"><fmt:message key="detail.date.txt"/></TH>
						<TH class="centeredTableHeader" nowrap><fmt:message key="detail.alert.referenceNumber.txt"/></TH>
						<TH class="centeredTableHeader"><fmt:message key="detail.type.txt"/></TH>
						<TH class="centeredTableHeader" nowrap><fmt:message key="detail.accountNumber.txt"/></TH>
						<TH class="centeredTableHeader"><fmt:message key="detail.branch.txt"/></TH>
						<TH class="centeredTableHeader"><fmt:message key="detail.alert.credits.txt"/></TH>
						<TH class="centeredTableHeader"><fmt:message key="detail.alert.debits.txt"/></TH>
					</TR>
				</c:if>
				<c:choose>
					<c:when test="${counter % 2 == 0}">
						<TR class="dataRow2_tableRow">
					</c:when>
					<c:otherwise>
						<TR class="dataRow1_tableRow">
					</c:otherwise>
				</c:choose>
						<TD class="imageTableCell" valign="middle" width="14">
   	   				<c:if test="${trans.triggerInd=='Y'}" >
							<IMG src="../images/RedBall.gif">
					</c:if>
   	   				<c:if test="${trans.triggerInd!='Y'}" >
							&nbsp;
					</c:if>
                		</TD>
                		<TD class="imageTableCell"> <fmt:parseDate pattern="yyyyMMdd" var="transDate" value="${trans.date}" />
							<fmt:formatDate value="${transDate}"/> </TD>
                		<TD class="textTableCell">
          					<A href="EntityDetail?taKey=<c:out value="${trans.taKey}"/>&alertId=<c:out value="${ac.alertId}" />&alertDateTime=<c:out value="${ac.alertDateTime}" />&trigger=<c:out value="${trigger}" />">
            					<c:out value="${trans.taRefNumber}" />
          					</A>
                		</TD>
                		<TD class="textTableCell"> <c:out value="${trans.type}" /></TD>
                		<TD class="textTableCell">
                  			<A href="EntityDetail?acctKey=<c:out value="${trans.accountKey}" />&alertId=<c:out value="${ac.alertId}" />&alertDateTime=<c:out value="${ac.alertDateTime}" />">
                  				<c:out value="${trans.accountNumber}" />
                  			</A>
                		</TD>
                		<TD class="textTableCell">
                		<%-- DO NOT WRITE OUT LINK FOR 'UNKNOWN' BRANCHES --%>
						<c:if test="${trans.branch == 'UNKNOWN'}">
                			<c:out value="${trans.branch}" />
						</c:if>
						<c:if test="${trans.branch != 'UNKNOWN'}">
                			<A href="BranchDetail?branchKey=<c:out value="${trans.branchKey}" />">
                				<c:out value="${trans.branch}" />
                			</A>
						</c:if>
               			</TD>
				<c:choose>
					<c:when test='${trans.credit == null}'>
						<TD class="textTableCell" align="<%=ViewUtils.alignRight(pageContext)%>"> &nbsp;</TD>
					</c:when>
					<c:otherwise>
						<TD class="textTableCell" align="<%=ViewUtils.alignRight(pageContext)%>" nowrap>
							<fmt:formatNumber type="currency" currencySymbol="${trans.currencyCode} " value="${trans.credit}" />
						</TD>
					</c:otherwise>
				</c:choose>
				<c:choose>
					<c:when test='${trans.debit == null}'>
               			<TD class="textTableCell" align="<%=ViewUtils.alignRight(pageContext)%>"> &nbsp;</TD>
					</c:when>
					<c:otherwise>
               			<TD class="textTableCell" align="<%=ViewUtils.alignRight(pageContext)%>" nowrap>
							<fmt:formatNumber type="currency" currencySymbol="${trans.currencyCode} " value="${trans.debit}" />
               			</TD>
					</c:otherwise>
				</c:choose>
               		</TR>
					<c:set var="counter" value="${counter + 1}" />
			</c:forEach>
			<c:if test="${trigger!='A' && ac.transactionCount>0}" >
               		<TR>
               			<TD class="transactionBottomTableCell" valign="middle" colspan="10">
               				<IMG src="../images/RedBall.gif">&nbsp;<fmt:message key="detail.alert.contributingTransaction.txt"/>
               			</TD>
               		</TR>
			</c:if>
             	</TABLE>
			</TD></TR>
		</TABLE>
<!-- /c:if -->
	</TD></TR>
  <TR>
    <TD height="10" colspan="2"></TD>
  </TR>
</TABLE>
</TD></TR></TABLE>
</DIV>
</BODY>
</HTML>