<%@ page contentType="text/html; charset=utf-8" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="aml" uri="/WEB-INF/amllib.tld" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-tiles.tld" prefix="tiles" %>

<%@ page import="com.sas.aml.util.ViewUtils" %>

<%@ page import="com.sas.aml.struts.form.TaskListForm"%>
<%@ page import="com.sas.servlet.tbeans.html.DatePicker"%>
<%@ page import="com.sas.servlet.tbeans.html.Calendar"%>
<%@ page import="com.sas.servlet.tbeans.form.html.TextEntry"%>
<%@ page import="com.sas.aml.struts.action.TaskListAction" %>
<%@ page import="java.util.Date" %>
<%@ page import="java.util.ArrayList" %>
<%@ page import="com.sas.aml.util.DatePickerUtil" %>
<%@ page import="com.sas.servlet.tbeans.html.DatePicker" %>
<%@ page import="com.sas.aml.content.AlertContent" %>
<%@ page import="com.sas.aml.content.TransactionListContent" %>
<%@ page import="com.sas.aml.content.ResultSetStats" %>

<c:set var="localeKey">
<%=org.apache.struts.Globals.LOCALE_KEY%>
</c:set>
<fmt:setLocale value="${sessionScope[localeKey]}"/>

<fmt:setBundle basename="ApplicationResources"/>

<%
	AlertContent ac = (AlertContent) request.getAttribute("ac");
	ArrayList<TransactionListContent> alertTrans = (ArrayList<TransactionListContent>) ac.getTransactions();

	ArrayList<ResultSetStats> statList = (ArrayList<ResultSetStats>) request.getAttribute("statList");
	request.setAttribute("alertTrans",alertTrans);

	int transactionCount = ac.getTransactionCount();
	request.setAttribute("transactionCount",ac.getTransactionCount());
%>

<!-- Transaction List Table -->
<TABLE class="mainTable" cellspacing="0" cellpadding="0" width="100%" border="0">
	<TR><TD>
		<TABLE cellspacing="1" cellpadding="2" width="100%" border="0">
		<TR><TD class="tableHeader" colspan="10" height="18">
			<div>
				<div style="float:left">
					<c:if test="${trigger=='Y'}" >
						<fmt:message key="detail.alert.transactions.title.triggering.txt"/>
					</c:if>
					<c:if test="${trigger=='N'}" >
						<fmt:message key="detail.alert.transactions.title.replicated.txt"/>
					</c:if>
					<c:if test="${trigger=='A'}" >
						<fmt:message key="detail.alert.transactions.title.core.txt">
						  <fmt:param value="${ac.transactionsFromDate}"/>
						</fmt:message>
					</c:if>
				</div>
				<%-- c:if test="${statList[0].rowsInSubset > statList[0].maxRowsSpecified}" --%>
				<div style="float:right">
					<fmt:message key="detail.relatives.counter.message.fmt.txt">
						<fmt:param value="${statList[0].rowsReturned}" />
						<fmt:param value="${statList[0].rowsInSubset}" />
					</fmt:message>
				</div>
				<%-- /c:if --%>
			</div>
		</TD></TR>
	<c:set var="counter" value="1" />
	<c:forEach var="trans" items="${alertTrans}">
		<c:if test="${counter==1}">
		<TR>
			<TH class="centeredTableHeader" width="14">&nbsp;</TH>
			<TH class="centeredTableHeader"><fmt:message key="detail.date.txt"/></TH>
			<TH class="centeredTableHeader" nowrap><fmt:message key="detail.alert.referenceNumber.txt"/></TH>
			<TH class="centeredTableHeader"><fmt:message key="detail.type.txt"/></TH>
			<TH class="centeredTableHeader" nowrap><fmt:message key="detail.accountNumber.txt"/></TH>
			<TH class="centeredTableHeader"><fmt:message key="detail.branch.txt"/></TH>
			<TH class="centeredTableHeader"><fmt:message key="detail.alert.credits.txt"/></TH>
			<TH class="centeredTableHeader"><fmt:message key="detail.alert.debits.txt"/></TH>
		</TR>
        </c:if>
		<c:choose>
			<c:when test="${counter % 2 == 0}">
				<TR class="dataRow2_tableRow">
			</c:when>
			<c:otherwise>
				<TR class="dataRow1_tableRow">
			</c:otherwise>
		</c:choose>
			<TD class="imageTableCell" valign="middle" width="14">
 	   			<c:if test="${trans.triggerInd=='Y'}" >
					<IMG src="../images/RedBall.gif" />
				</c:if>
 	   			<c:if test="${trans.triggerInd!='Y'}" >
					&nbsp;
				</c:if>
			</TD>
			<TD class="imageTableCell"> <fmt:parseDate pattern="yyyyMMdd" var="transDate" value="${trans.date}" />
				<fmt:formatDate value="${transDate}"/>
			</TD>
			<TD class="textTableCell">
				<A href="EntityDetail?taKey=<c:out value="${trans.taKey}"/>&alertId=<c:out value="${alertId}" />&alertDateTime=<c:out value="${ac.alertDateTime}" />&trigger=<c:out value="${trigger}" />">
					<c:out value="${trans.taRefNumber}" />
				</A>
			</TD>
			<TD class="textTableCell"> <c:out value="${trans.type}" /></TD>
			<TD class="textTableCell">
				<A href="EntityDetail?acctKey=<c:out value="${trans.accountKey}" />&alertId=<c:out value="${alertId}" />&alertDateTime=<c:out value="${ac.alertDateTime}" />">
					<c:out value="${trans.accountNumber}" />
				</A>
			</TD>
 			<TD class="textTableCell">
		<%-- DO NOT WRITE OUT LINK FOR 'UNKNOWN' BRANCHES --%>
			<c:if test="${trans.branch == 'UNKNOWN'}">
				<c:out value="${trans.branch}" />
			</c:if>
			<c:if test="${trans.branch != 'UNKNOWN'}">
				<A href="BranchDetail?branchKey=<c:out value="${trans.branchKey}" />">
             		<c:out value="${trans.branch}" />
				</A>
			</c:if>
			</TD>
	<c:choose>
		<c:when test='${trans.credit == null}'>
			<TD class="textTableCell" align="<%=ViewUtils.alignRight(pageContext)%>"> &nbsp;</TD>
		</c:when>
		<c:otherwise>
			<TD class="textTableCell" align="<%=ViewUtils.alignRight(pageContext)%>" nowrap>
				<fmt:formatNumber type="currency" currencySymbol="${trans.currencyCode} " value="${trans.credit}" />
			</TD>
		</c:otherwise>
            </c:choose>
	<c:choose>
		<c:when test='${trans.debit == null}'>
			<TD class="textTableCell" align="<%=ViewUtils.alignRight(pageContext)%>"> &nbsp;</TD>
		</c:when>
		<c:otherwise>
			<TD class="textTableCell" align="<%=ViewUtils.alignRight(pageContext)%>" nowrap>
				<fmt:formatNumber type="currency" currencySymbol="${trans.currencyCode} " value="${trans.debit}" />
			</TD>
		</c:otherwise>
	</c:choose>
		</TR>
               <c:set var="counter" value="${counter + 1}" />
	</c:forEach>
	<c:if test="${trigger!='A' && transactionCount>0}" >
		<TR>
			<TD class="transactionBottomTableCell" valign="middle" colspan="10">
				<IMG src="../images/RedBall.gif" />&nbsp;<fmt:message key="detail.alert.contributingTransaction.txt"/>
			</TD>
		</TR>
	</c:if>
		</TABLE><!-- END mainTable Inner Table Body -->
	</TD></TR>
</TABLE>
<!-- END Transaction List Table -->
<c:if test="${transactionCount > 0}">
    <A target="new" id="exportTrans_src" style="visibility:hidden" href="ExportTransactions?alertId=<c:out value='${ac.alertId}' />&trigger=<c:out value='${trigger}' />"><fmt:message key="detail.alert.transactions.export.txt"/></A>
</c:if>