<%@ page contentType="text/html; charset=utf-8" %>
<%@ page language="java" session="true" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-tiles.tld" prefix="tiles" %>
<%@ page import="com.sas.servlet.tbeans.html.DatePicker"%>
<%@ page import="com.sas.aml.content.CaseFilterContent"%>
<%@ page import="com.sas.aml.util.ViewUtils" %>
<%@ page import="java.util.Date"%>
<%@ page import="com.sas.aml.util.DatePickerUtil" %>
<%@ page import="java.text.SimpleDateFormat"%>
<%@ page import="java.text.DateFormat"%>

<c:set var="localeKey">
<%=org.apache.struts.Globals.LOCALE_KEY %>
</c:set>
<fmt:setLocale value="${sessionScope[localeKey]}"/>

<fmt:setBundle basename="ApplicationResources"/>

<tiles:insert page="tiles/header.jsp">
	<tiles:put name="subtitle"><bean:message key="filter.case.title.txt" /></tiles:put>
</tiles:insert>

<!-- insert banner with header graphics and sas logo -->
<tiles:insert page="tiles/banner_popup.jsp">
   <tiles:put name="helppage" value="casefilter.htm" />
</tiles:insert>

<DIV id="detailsMainContent">
<table align="center" cellspacing="0" cellpadding="0" border=0>
<tr>
<td>
<TABLE align=center cellspacing="0" cellpadding="0" width="100%" border="0">
    <TR>
        <TD class="pageName"><bean:message key="filter.case.title.txt"/></TD>
    </TR>
    <TR>
        <TD class="topLine">&nbsp;</TD>
    </TR>
</TABLE>
<html:form action="/CaseFilterDialog">
<c:choose>
	<c:when test="${param.queryType == 'user'}">
		<table align="center" class='filterDialogMyCasesDiv'>
	</c:when>
	<c:when test="${param.queryType == 'group' && param.itemStatus == 'ACT'}">
		<table align="center" class='filterDialogAvailableCasesDiv'>
	</c:when>
	<c:otherwise>
		<table align="center" class='filterDialogClosedCasesDiv'>
	</c:otherwise>
</c:choose>

		<TR>
            <TD class="Text" nowrap><bean:message key="filter.caseId.txt"/></TD>
            <TD class="Text" nowrap><html:text property="caseId" size="10"/></TD>
		</TR>
		<TR>
            <TD class="Text" nowrap><bean:message key="filter.subjectNumber.txt"/></TD>
            <TD class="Text" nowrap><html:text property="subjectNumber" size="28"/></TD>
		</TR>
		<TR>
            <TD class="Text" nowrap><bean:message key="filter.name.txt"/></TD>
            <TD class="Text" nowrap><html:text property="name" size="28"/></TD>
		</TR>
		<TR>
			<TD class=Text><SPAN style="width:120px"><bean:message key="filter.startDate.txt"/></SPAN></TD>
			<TD>
			 <%
				String queryType = (String)request.getParameter("queryType");
				String caseStatus = (String)request.getParameter("itemStatus");
				CaseFilterContent fc=null;

				if (queryType != null)
				{
					if (queryType.equalsIgnoreCase("user"))
						fc = (CaseFilterContent)session.getAttribute("userCaseFilterContent");
					else if (caseStatus.equalsIgnoreCase("ACT"))
						fc = (CaseFilterContent)session.getAttribute("groupCaseFilterContent");
					else if (caseStatus.equalsIgnoreCase("CLS"))
						fc = (CaseFilterContent)session.getAttribute("groupCaseClosedFilterContent");
				}

				Object datePickerValue = null;
				if (fc != null)
					datePickerValue = fc.getStartDate();
				DatePicker dsp = DatePickerUtil.createDatePicker("startDate", datePickerValue, pageContext);
				DateFormat df = DateFormat.getDateInstance(DateFormat.SHORT, request.getLocale());
				dsp.setFormat((SimpleDateFormat)df);
				DatePickerUtil.writeDatePicker(dsp, out, request);
			 %>
			</TD>
		</TR>
		<TR>
			<TD class=Text><SPAN style="width:120px"><bean:message key="filter.endDate.txt"/></SPAN></TD>
			<TD>
			 <%
				if (queryType != null)
				{
					if (queryType.equalsIgnoreCase("user"))
						fc = (CaseFilterContent)session.getAttribute("userCaseFilterContent");
					else if (caseStatus.equalsIgnoreCase("ACT"))
						fc = (CaseFilterContent)session.getAttribute("groupCaseFilterContent");
					else if (caseStatus.equalsIgnoreCase("CLS"))
						fc = (CaseFilterContent)session.getAttribute("groupCaseClosedFilterContent");
				}

				datePickerValue=null;
				if (fc != null)
					datePickerValue = fc.getEndDate();
				DatePicker dspEnd = DatePickerUtil.createDatePicker("endDate", datePickerValue, pageContext);
				dspEnd.setFormat((SimpleDateFormat)df);
				DatePickerUtil.writeDatePicker(dspEnd, out, request);
			 %>
			</TD>
		</TR>
		<TR>
            <TD class="Text" nowrap><bean:message key="filter.type.txt"/></TD>
			<TD class="Text">
				<html:select property="type" style="width:185px">
					<html:option value=""> &nbsp;</html:option>
					<c:forEach var="parm" items="${caseTypeList}">
						<c:choose>
							<c:when test="${requestScope.filterContent.type == parm.code}">
								<option selected value="<c:out value="${parm.code}"/>"><c:out value="${parm.desc}"/></option>
							</c:when>
							<c:otherwise>
								<option value="<c:out value="${parm.code}"/>"><c:out value="${parm.desc}"/></option>
							</c:otherwise>
						</c:choose>
					</c:forEach>
				</html:select>
			</TD>
		</TR>
		<c:if test="${param.itemStatus!='CLS'}">
		<TR>
			<TD class="Text"><SPAN style="width:120px"><bean:message key="filter.availability.txt"/></TD>
			<TD class="Text">
				<c:if test="${param.queryType == 'user'}">
					<html:select property="availability" style="width:185px">
						<html:option value=""> &nbsp;</html:option>
						<html:option value="-1"><bean:message key="filter.owned.txt"/></html:option>
						<html:option value="0"><bean:message key="filter.checkedOut.txt"/></html:option>
					</html:select>
				</c:if>
				<c:if test="${param.queryType == 'group'}">
					<html:select property="availability" style="width:185px" multiple="y" size="5">
						<html:option value=""> &nbsp;</html:option>
						<html:option value="Available"><bean:message key="filter.available.txt"/></html:option>
						<c:forEach var="user" items="${userList}">
							<option value="<c:out value="${user.userId}" />"><c:out value="${user.displayName}"/> (<c:out value="${user.userLongId}"/>)</option>
						</c:forEach>
					</html:select>
				</c:if>
			</TD>
		</TR>
		</c:if>
	</TABLE>

	<input type="hidden" name="mode" value="filter"/>
	<input type="hidden" name="queryType" value="<c:out value="${param.queryType}"/>"/>
	<input type="hidden" name="itemStatus" value="<c:out value="${param.itemStatus}"/>"/>
	<input type="hidden" name="badNumberMessage" value="<bean:message key='filter.enterNumber.txt'/>"/>
	<script>
	    var doValidate = true;
	</script>
    <div class="filterMessageAreaDiv"><bean:message key="filter.caseSensitive.txt"/></div>
	<TABLE align=center BORDER="0">
		<TR><TD>&nbsp;</TD></TR>
		<TR align=<%=ViewUtils.alignRight(pageContext)%>>
		<TD><html:submit altKey="submit.txt" styleClass="button" style="cursor:hand"><bean:message key="ok.txt"/></html:submit></TD>
	  	<TD><input type="button" property="actions" class="button" alt="<bean:message key="cancel.txt"/>" style="cursor:hand"
    		onClick="window.close();" onMouseOver="setValidateFilter(false);" onMouseOut="setValidateFilter(true);"
    		value="<bean:message key="cancel.txt"/>"
		</input></TD>
	  	<TD><input type="button" property="clear" class="button" alt="<bean:message key="clear.txt"/>" style="cursor:hand"
    		onClick="caseClearFilter();" onMouseOver="setValidateFilter(false);" onMouseOut="setValidateFilter(true);"
    		value="<bean:message key="clear.txt"/>"
		</input></TD>
		</TR>
	</TABLE>
</html:form>
</td>
</tr>
</table>
</DIV>
</BODY>
</HTML>
