<%@ page contentType="text/html; charset=utf-8" %>
<%@ page language="java" session="true" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-tiles.tld" prefix="tiles" %>

<c:set var="localeKey">
<%=org.apache.struts.Globals.LOCALE_KEY %>
</c:set>
<fmt:setLocale value="${sessionScope[localeKey]}"/>

<fmt:setBundle basename="ApplicationResources"/>

<tiles:insert page="tiles/header.jsp">
    <tiles:put name="subtitle"><bean:message key="tabmenu.reports.txt"/></tiles:put>
    <tiles:put name="onmousemove" value="noteNewWindowHeightAndGo();"/>
</tiles:insert>

<!-- insert banner with header graphics and sas logo -->
<tiles:insert page="tiles/banner.jsp">
    <tiles:put name="helppage" value="reports.htm" />
</tiles:insert>

<!-- insert the tabbed portion of the menu with the correct tab selected -->
<tiles:insert page="tiles/tabmenu.jsp">
    <tiles:put name="selected" value="/Reports"/>
</tiles:insert>

<!-- insert divider -->
<DIV id="menuDivider">
    <TABLE width="100%" cellpadding="0" cellspacing="0" height="4px">
        <TR class="secondaryMenuRow">
            <TD>&nbsp;</TD>
        </TR>
    </TABLE>
</DIV>
</DIV>
<SPAN id="mainContentA">
<input type="hidden" name="newWindow" id="newWindow" value="<bean:message key='report.newWindow.txt'/>" />
<!-- Make a place to save window height and report URL -->
<html:form action="/Reports">
    <html:hidden property="windowHeight"  write="false" />
    <html:hidden property="currentReport" write="false" />
    <html:hidden property="openNodeList"  write="false" />
    <html:hidden property="linknum"       write="false" />
</html:form>

<!-- Set window size from hidden value in form if present (else guess) -->
<c:choose>
    <c:when test="${not empty param.windowHeight}">
       <c:set var="adjustedWindowHeight" value="${param.windowHeight - 100}" />
    </c:when>
    <c:otherwise>
        <c:set var="adjustedWindowHeight" value="1200" />
        <SCRIPT language="JavaScript">
            document.reportListForm.windowHeight.value = <c:out value="${adjustedWindowHeight}"/>;
        </SCRIPT>
    </c:otherwise>
</c:choose>

<!-- Show selection list of 'active' reports read from reportdefinitions.xml-->

<fmt:message key="app.title.txt" var="title"/>
<jsp:useBean id="activeReports" class="java.util.HashMap" scope="page"/>
<TABLE border="0" width="100%" height="<c:out value='${adjustedWindowHeight}' />">
    <tr height="<c:out value='${adjustedWindowHeight}' />">
        <td width="30%" height="<c:out value='${adjustedWindowHeight}' />" valign=top>
            <TABLE width="100%" border="0" cellpadding="0" cellspacing="0">
                <TR>
                <TD width="100%" valign=top>
                <SCRIPT language="JavaScript" src="../scripts/reportTree.js"></script>
                <SCRIPT language="JavaScript">
                    <!--
                    var Tree = new Array;
                    <c:set var="counter" value="0"/>
                    <c:set var="linknum" value=""/>
                        <c:forEach var="rd" items="${reportDefinitions}">
                        <c:if test="${rd.activeYN == 'Y'}">
                            <c:set var="nonBlankURL" value="${rd.outputURL}"/>
                            <c:if test="${nonBlankURL == ''}">
                                <c:set var="nonBlankURL" value="../reportsInitialFrame.jsp"/>
                            </c:if>
                            <c:set target="${activeReports}" property="${counter}" value="${nonBlankURL}"/>

                            <c:if test="${(empty param.linknum && linknum=='') || (not empty param.linknum && param.linknum==counter)}">
                                <c:set var="linknum" value="${counter}"/>
                            </c:if>

                            Tree[ <c:out value="${counter}"/>] = '<c:out value="${rd.treeNode}"/>|<c:out value="${rd.parentTreeNode}"/>|<c:out value="${rd.linkText}" escapeXml="false"/>|<c:out value="${rd.outputURL}"/>|<c:out value="${rd.description}"/>|<c:out value="${rd.newWindowYN}"/>';

                            <c:set var="counter" value="${counter+1}"/>
                        </c:if>
                    </c:forEach>

                    document.write("<table border='0' cellpadding='0' cellspacing='0'><tr><td class='tree'>");
                    var currentReport = 0;
                    <c:if test="${not empty param.currentReport}">
                        currentReport = "<c:out value='${param.currentReport}'/>";
                    </c:if>
                    var openNodeList = "0";
                    <c:if test="${not empty param.openNodeList}">
                        openNodeList = "<c:out value='${param.openNodeList}'/>";
                    </c:if>
                    createTree(Tree,0,openNodeList,"<c:out value='${title}'/>");
                    document.write("</td></tr></table>");
                    //-->
                </SCRIPT>
                </TD>
                </TR>
                <c:if test="${not empty param.linknum}" >
                    <c:set var="linknum" value="${param.linknum}"/>
                </c:if>
            </TABLE>

         </td>
         <td width="*" valign="top" height="<c:out value='${adjustedWindowHeight}' />" >
            <iframe src='<c:out value="${activeReports[linknum]}"/>'
                    name="report"
                    id="report"
                    frameborder="1"
                    width="100%"
                    height="<c:out value='${adjustedWindowHeight}'/>">
            </iframe>
         </td>
    </tr>
</TABLE>
</SPAN>

</BODY>
</HTML>