<%@ page contentType="text/html; charset=utf-8" %>
<%@ page language="java" session="true" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-tiles.tld" prefix="tiles" %>
<%@ page import="com.sas.servlet.tbeans.html.DatePicker"%>
<%@ page import="java.util.Date"%>
<%@ page import="com.sas.aml.util.DatePickerUtil" %>

<c:set var="localeKey">
<%=org.apache.struts.Globals.LOCALE_KEY %>
</c:set>
<fmt:setLocale value="${sessionScope[localeKey]}"/>

<fmt:setBundle basename="ApplicationResources"/>

<tiles:insert page="tiles/header.jsp">
	<tiles:put name="subtitle"><bean:message key="tabmenu.query.txt"/></tiles:put>
</tiles:insert>

<!--
-- search_assessment.jsp
--   Displays the tab for searching assessments
-->

<SCRIPT language="JavaScript" src="../scripts/search.js"></script>
<SCRIPT language="JavaScript">
// disableReason toggles display of 'Close Reason' based on whether Assessment Status is closed (CLS)
function disableReason() {
	// if assessment status selection is closed (CLS)
    if (document.searchBuilderForm.assessmentStatusCode[document.searchBuilderForm.assessmentStatusCode.selectedIndex].value=='CLS')
    {
        document.getElementById('acceptReason').disabled=false;
        document.getElementById('rejectReason').disabled=false;
    	document.searchBuilderForm.acceptReason.focus();
	}
	else
	{
        document.getElementById('acceptReason').disabled=true;
        document.getElementById('rejectReason').disabled=true;
		// clear reason selection when 'closed' status is not selected
		document.searchBuilderForm.acceptReason[0].selected=true;
		document.searchBuilderForm.rejectReason[0].selected=true;
    	document.searchBuilderForm.assessmentStatusCode.focus();
	}
}
</SCRIPT>

<!-- Insert standard banner and menus for Search tab in AML main window -->
<tiles:insert page="tiles/search_tab_banner.jsp">
	<tiles:put name="selected"><bean:message key="search.tabBanner.assessment.txt"/></tiles:put>
	<tiles:put name="helppage" value="subjectquery.htm" />
</tiles:insert>

<DIV id="baseContentPosition">

<!-- Insert the forms used to carry search parms -->
<tiles:insert page="tiles/search_forms.jsp" />
<input type="hidden" name="specifyNumber" value="<fmt:message key='search.specifyInteger.fmt.txt'><fmt:param>+N+</fmt:param></fmt:message>" />
<input type="hidden" name="assessmentIdText" value="<fmt:message key='search.assessmentId.txt'/>" />
<input type="hidden" name="reselect" value="<fmt:message key='search.reselect.txt'/>" />

<!-- Start the visuals on the screen -->
<TABLE align="center" class="DataTableBorder" cellspacing="0" cellpadding="0" border="0">
	<tr class="defaultBackgroundColor"><td>&nbsp;</td></tr>
	<TR>
		<TD>
			<TABLE cellspacing="1" cellpadding="4" border="0">
				<TR class="defaultBackgroundColor">
					<TD class="size75">
						<TABLE border="0" width="100%" cellspacing="0" cellpadding="0" style="margin-top:10px">
							<TR>
								<TD class="exceptable"><bean:message key="search.assessment.txt"/></TD>
								<TD width="75%"><HR width="97%" class="horizontalRuleColor" size="1"></TD>
							</TR>
						</TABLE>

						<TABLE border="0" cellspacing="0" cellpadding="2" style="margin-left:18px">
							<TR>
								<TD class="Text" style="width:180px"><bean:message key="search.assessment.assessmentId.txt"/></TD>
								<TD class="Text">
									<INPUT type="text" name="assessmentId" style="width:240px">
								</TD>
							</TR>
							<TR>
								<TD class="Text"><bean:message key="filter.assessment.proposedRC.txt"/></TD>
								<TD class="Text">
									<SELECT name="proposedRC" style="width:240px">
										<OPTION value="" selected> &nbsp;</OPTION>
										<c:forEach var="lov" items="${lovMap['RISK CLASSIFICATN']}">
											<OPTION value="<c:out value="${lov.key}" />"><c:out value="${lov.value}" /></OPTION>
										</c:forEach>
									</SELECT>
								</TD>
	            			</TR>
							<TR>
								<TD class="Text"><bean:message key="search.assessment.status.txt"/></TD>
								<TD class="Text">
									<!-- reset description selection when assessmentStatusCode is changed (disableReason()) -->
									<SELECT name="assessmentStatusCode" style="width:240px" onChange="javascript:disableReason()">
										<OPTION value="" selected> &nbsp;</OPTION>
										<c:forEach var="lov" items="${lovMap['ASMT STATUS']}">
											<OPTION value="<c:out value="${lov.key}" />"><c:out value="${lov.value}" /></OPTION>
										</c:forEach>
									</SELECT>
								</TD>
							</TR>
							<TR>
								<TD class="Text">
									<bean:message key="search.assessment.closeAcceptReason.txt"/>
								</TD>
								<TD class="Text">
									<SELECT name="acceptReason" style="width:240px" >
										<OPTION value="" selected> &nbsp;</OPTION>
                        				<c:forEach var="theAcceptReason" items="${acceptReasons}">
								            <OPTION value="<c:out value="${theAcceptReason.value}" />">
                              				<c:out value="${theAcceptReason.value}" />
                              				</OPTION>
                        				</c:forEach>
    								</SELECT>
								</TD>
							</TR>
    						<TR>
    							<TD class="Text">
    								<bean:message key="search.assessment.closeRejectReason.txt"/>
    							</TD>
    							<TD class="Text">
    								<SELECT name="rejectReason" style="width:240px" >
    									<OPTION value="" selected> &nbsp;</OPTION>
                            			<c:forEach var="theRejectReason" items="${rejectReasons}">
    							            <OPTION value="<c:out value="${theRejectReason.value}" />">
                                 				<c:out value="${theRejectReason.value}" />
                                 				</OPTION>
                            			</c:forEach>
        							</SELECT>
    							</TD>
    						</TR>
							<TR>
								<TD class="Text"><bean:message key="search.alert.user.txt"/></TD>
								<TD class="Text">
									<select name="userName" style="width:240px">
										<OPTION value="" selected> &nbsp;</OPTION>
										<c:forEach var="parm" items="${userList}">
											<option value="<c:out value="${parm.displayName}"/>"><c:out value="${parm.displayName}"/></option>
										</c:forEach>
									</select>
								</TD>
							</TR>
							<TR>
								<TD class="Text"><bean:message key="search.alert.group.txt"/></TD>
								<TD class="Text">
									<select name="groupName" style="width:240px">
										<OPTION value="" selected> &nbsp;</OPTION>
										<c:forEach var="parm" items="${groupList}">
											<option value="<c:out value="${parm.groupName}"/>"><c:out value="${not empty parm.displayName ? parm.displayName : parm.groupName}"/></option>
										</c:forEach>
									</select>
								</TD>
							</TR>

						</TABLE>
								<TABLE border="0" width="100%" cellspacing="0" cellpadding="0" style="margin-top:10px">
								<TR>
									<TD class="exceptable"><bean:message key="search.customer.txt"/>&nbsp;&nbsp;</TD>
									<TD width="90%"><HR width="97%" class="horizontalRuleColor" size="1"></TD>
								</TR>
							</TABLE>

							<TABLE border="0" style="margin-left:18px" cellspacing="0" cellpadding="2">
								<TR>
									<TD class="Text" style="width:180px"><bean:message key="search.numberContains.txt"/></TD>
									<TD class="Text">
										<INPUT type="text" name="partyNumber" style="width:240px">
									</TD>
									<td class="Text">
			            				<input type="checkbox" id="alertNumBox"><bean:message key="search.contains.txt"/></input>
			            			</td>
								</TR>
								<TR>
									<TD class="Text"><bean:message key="search.nameContains.txt"/>
									</TD>
									<TD class="Text">
										<INPUT type="text" name="partyName" style="width:240px">
									</TD>
									<td class="Text">
			            				<input type="checkbox" id="alertNameBox"><bean:message key="search.contains.txt"/></input>
			            			</td>
								</TR>
								<TR>
									<TD class="Text"><bean:message key="filter.assessment.currentRC.txt"/></TD>
									<TD class="Text">
										<SELECT name="currentRC" style="width:240px">
											<OPTION value="" selected> &nbsp;</OPTION>
											<c:forEach var="lov" items="${lovMap['RISK CLASSIFICATN']}">
												<OPTION value="<c:out value="${lov.key}" />"><c:out value="${lov.value}" /></OPTION>
											</c:forEach>
										</SELECT>
									</TD>
		            			</TR>
							</TABLE>


					</TD>
					<TD VALIGN="TOP">
						<TABLE border="0" width="100%" cellspacing="0" cellpadding="0" style="margin-top:10px">
							<TR>
								<TD class="exceptable" nowrap><bean:message key="search.alert.createDate.txt"/></TD>
								<TD width="90%"><HR width="97%" class="horizontalRuleColor" size="1"></TD>
							</TR>
						</TABLE>

						<SPAN id="dateLayer">
						<TABLE border="0" cellspacing="0" cellpadding="2" style="margin-left:18px">
							<TR>
								<TD class="Text" style="width:140px"><bean:message key="search.alert.start.txt"/></TD>
								<TD class="Text">
								<%
									Object datePickerValue = null;
    		                		DatePicker dsp = DatePickerUtil.createDatePicker("dateStart", datePickerValue, pageContext);
        		            		DatePickerUtil.writeDatePicker(dsp, out, request);
							    %>
								</TD>
							</TR>
							<TR>
								<TD class="Text"><bean:message key="search.end.txt"/></TD>
								<TD class="Text">
								<%
  	                    			datePickerValue = null;
       	                			DatePicker dspEnd = DatePickerUtil.createDatePicker("dateEnd", datePickerValue, pageContext);
           	            			DatePickerUtil.writeDatePicker(dspEnd, out, request);
								%>
								</TD>
							</TR>

						</TABLE>
						</SPAN>
						<TABLE border="0" width="100%" cellspacing="0" cellpadding="0" style="margin-top:10px">
							<tr>
								&nbsp;
					        </tr>
					        <tr>
								&nbsp;
					        </tr>
						</TABLE>
						<TABLE border="0" width="100%" cellspacing="0" cellpadding="0" style="margin-top:10px">
							<tr>
								&nbsp;
				            </tr>
				            <tr>
								&nbsp;
				            </tr>
							<TR>
								<TD class="exceptable" nowrap><bean:message key="search.alert.lastActivityDate.txt"/></TD>
								<TD width="90%"><HR width="97%" class="horizontalRuleColor" size="1"></TD>
							</TR>
						</TABLE>

						<SPAN id="dateLayer">
						<TABLE border="0" cellspacing="0" cellpadding="2" style="margin-left:18px">
							<TR>
								<TD class="Text" style="width:140px"><bean:message key="search.alert.start.txt"/></TD>
								<TD class="Text">
								<%
	                    			datePickerValue = null;
   		                			DatePicker dspl = DatePickerUtil.createDatePicker("updatedateStart", datePickerValue, pageContext);
       		            			DatePickerUtil.writeDatePicker(dspl, out, request);
							    %>
								</TD>
							</TR>
							<TR>
								<TD class="Text"><bean:message key="search.end.txt"/></TD>
								<TD class="Text">
								<%
	                    			datePickerValue = null;
   		                			DatePicker depl = DatePickerUtil.createDatePicker("updatedateEnd", datePickerValue, pageContext);
       		            			DatePickerUtil.writeDatePicker(depl, out, request);
								%>
								</TD>
							</TR>
						</TABLE>
						</SPAN>
					</TD>
				</TR>
			</TABLE>
		</TD>
	</TR>
<%-- include upcase message based on the value of setupcase system parm --%>
<jsp:include page="/tiles/query_info.jsp" />
</TABLE>
<P>

<!-- Build the URL that runs the query -->
<c:url value="SearchList" var="url">
	<c:param name="level" value="LIT"/>
	<c:param name="newQuery" value="Y"/>
	<c:param name="table" value="assessment"/>
	<c:param name="connector" value="and"/>
</c:url>
<!-- The preferred way is to use struts-el support and the html:button tag (struts 1.1?) -->
<table align="center">
<tr><td>
<input type="button" name="search" class="button" alt="<bean:message key="showMatching.txt"/>" style="cursor:hand" onclick="doAssessmentQuery('<c:out value="${url}"/>');return false;" value="<bean:message key="showMatching.txt"/>"></input>
</td></tr></table>
</DIV>
</BODY>
</HTML>