<%@ page language="java" session="true" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-tiles.tld" prefix="tiles" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="aml" uri="/WEB-INF/amllib.tld" %>

<%@page import="java.util.Map"%>
<%@page import="com.sas.aml.constants.AlertConstants" %>
<%@page import="com.sas.aml.struts.action.TaskListAction" %>

<c:set var="localeKey">
<%=org.apache.struts.Globals.LOCALE_KEY %>
</c:set>
<fmt:setLocale value="${sessionScope[localeKey]}"/>

<fmt:setBundle basename="ApplicationResources"/>

<!-- Push component attributes in page context -->
<tiles:importAttribute name="formName"/>
<tiles:importAttribute name="sortMap"/>
<tiles:importAttribute name="queryType"/>
<tiles:importAttribute name="caseStatus"/>

<%-- This scriptlet code is necessary to determine which sortmap to use --%>
<%
	String qt = (String)pageContext.getAttribute("queryType");
	String caseStatus = (String)pageContext.getAttribute("caseStatus");
	Map sortMap = null;
	if (qt.equalsIgnoreCase("group") && caseStatus.equalsIgnoreCase("ACT"))
		sortMap = (Map)session.getAttribute("groupCaseSortMap");
	else if (qt.equalsIgnoreCase("group") && caseStatus.equalsIgnoreCase("CLS"))
		sortMap = (Map)session.getAttribute("groupCaseClosedSortMap");
	else if (qt.equalsIgnoreCase("user"))
		sortMap = (Map)session.getAttribute("userCaseSortMap");
    session.setAttribute("sortMap", sortMap);
%>

<c:set var="localAccount">
	<%=AlertConstants.ACCOUNT %>
</c:set>
<c:set var="localCustomer">
	<%=AlertConstants.PARTY %>
</c:set>
<c:set var="localHousehold">
	<%=AlertConstants.HOUSEHOLD %>
</c:set>
<c:set var="localTransaction">
	<%=AlertConstants.TRANSACTION %>
</c:set>
<c:set var="localAssociate">
	<%=AlertConstants.ASSOCIATE %>
</c:set>

<TABLE class="mainTable" cellspacing="0" cellpadding="4" border="0" width="100%">
   <%-- First row is the column headers --%>
   <THEAD>
   <TR>
      <TH class="centeredTableHeader" scope="col">
         <INPUT type="checkbox" name="selectallcaseIds" onclick="selectAllCases(this,<c:out value="${formName}"/>);" />
      </TH>
      <%-- Header for icons column; only displayed for user and available group case lists --%>
      <c:if test='${queryType == "user" || (queryType == "group" && caseStatus == "ACT")}'>
         <TH class="centeredTableHeader">&nbsp;</TH>
      </c:if>
      <%-- Case Id column --%>
      <TH class="centeredTableHeader">
 		<c:set var='dir' value='${sessionScope.sortMap["amlcase.case_id"]}'/>
		<c:set var='varname' value="amlcase.case_id"/>
         <c:choose>
            <c:when test='${(sessionScope.sortMap != null && dir != null) || sortColumn == varname}'>
               <c:if test='${dir == "ASC" || (sortColumn == varname && sortOrder == "ASC")}'>
		     	  <A href="NavigateCases?sortBy=<c:out value='${varname}'/>&sortDir=DESC&queryType=<c:out value='${queryType}'/>&itemStatus=<c:out value='${caseStatus}'/>" class="blueLink" title="<fmt:message key="sort.txt"/>"><bean:message key="caseList.caseId.txt"/>
                  <IMG src="../images/SortAscending.gif" align="absmiddle" border="0"></A>
               </c:if>
               <c:if test='${dir == "DESC" || (sortColumn == varname && sortOrder == "DESC")}'>
				  <A href="NavigateCases?sortBy=<c:out value='${varname}'/>&sortDir=ASC&queryType=<c:out value='${queryType}'/>&itemStatus=<c:out value='${caseStatus}'/>" class="blueLink" title="<fmt:message key="sort.txt"/>"><bean:message key="caseList.caseId.txt"/>
                  <IMG src="../images/SortDescending.gif" align="absmiddle" border="0"></A>
               </c:if>
            </c:when>
            <c:otherwise>
			   <A href="NavigateCases?sortBy=<c:out value='${varname}'/>&sortDir=ASC&queryType=<c:out value='${queryType}'/>&itemStatus=<c:out value='${caseStatus}'/>" class="blueLink" title="<fmt:message key="sort.txt"/>"><bean:message key="caseList.caseId.txt"/></A>
		    </c:otherwise>
          </c:choose>
      </TH>
      <%-- Subject Number column --%>
      <TH class="centeredTableHeader">
      	<c:set var='dir' value='${sessionScope.sortMap["amlcase.entity_number"]}'/>
		<c:set var='varname' value="amlcase.entity_number"/>
         <c:choose>
            <c:when test='${(sessionScope.sortMap != null && dir != null) || sortColumn == varname}'>
               <c:if test='${dir == "ASC" || (sortColumn == varname && sortOrder == "ASC")}'>
          		  <A href="NavigateCases?sortBy=<c:out value='${varname}'/>&sortDir=DESC&queryType=<c:out value='${queryType}'/>&itemStatus=<c:out value='${caseStatus}'/>" class="blueLink" title="<fmt:message key="sort.txt"/>"><bean:message key="alertList.subjectNumber.txt"/>
                  <IMG src="../images/SortAscending.gif" align="absmiddle" border="0"></A>
               </c:if>
               <c:if test='${dir == "DESC" || (sortColumn == varname && sortOrder == "DESC")}'>
                  <A href="NavigateCases?sortBy=<c:out value='${varname}'/>&sortDir=ASC&queryType=<c:out value='${queryType}'/>&itemStatus=<c:out value='${caseStatus}'/>" class="blueLink" title="<fmt:message key="sort.txt"/>"><bean:message key="alertList.subjectNumber.txt"/>
                  <IMG src="../images/SortDescending.gif" align="absmiddle" border="0"></A>
               </c:if>
            </c:when>
            <c:otherwise>
           	   <A href="NavigateCases?sortBy=<c:out value='${varname}'/>&sortDir=ASC&queryType=<c:out value='${queryType}'/>&itemStatus=<c:out value='${caseStatus}'/>" class="blueLink" title="<fmt:message key="sort.txt"/>"><bean:message key="alertList.subjectNumber.txt"/></A>
            </c:otherwise>
         </c:choose>
      </TH>
      <%-- Name column --%>
      <TH class="centeredTableHeader">
		<c:set var='dir' value='${sessionScope.sortMap["amlcase.entity_name"]}'/>
		<c:set var='varname' value="amlcase.entity_name"/>
         <c:choose>
            <c:when test='${(sessionScope.sortMap != null && dir != null) || sortColumn == varname}'>
               <c:if test='${dir == "ASC" || (sortColumn == varname && sortOrder == "ASC")}'>
                  <A href="NavigateCases?sortBy=<c:out value='${varname}'/>&sortDir=DESC&queryType=<c:out value='${queryType}'/>&itemStatus=<c:out value='${caseStatus}'/>" class="blueLink" title="<fmt:message key="sort.txt"/>"><bean:message key="alertList.name.txt"/>
                  <IMG src="../images/SortAscending.gif" align="absmiddle" border="0"></A>
               </c:if>
               <c:if test='${dir == "DESC" || (sortColumn == varname && sortOrder == "DESC")}'>
               	  <A href="NavigateCases?sortBy=<c:out value='${varname}'/>&sortDir=ASC&queryType=<c:out value='${queryType}'/>&itemStatus=<c:out value='${caseStatus}'/>" class="blueLink" title="<fmt:message key="sort.txt"/>"><bean:message key="alertList.name.txt"/>
                  <IMG src="../images/SortDescending.gif" align="absmiddle" border="0"></A>
               </c:if>
            </c:when>
            <c:otherwise>
         	   <A href="NavigateCases?sortBy=<c:out value='${varname}'/>&sortDir=ASC&queryType=<c:out value='${queryType}'/>&itemStatus=<c:out value='${caseStatus}'/>" class="blueLink" title="<fmt:message key="sort.txt"/>"><bean:message key="alertList.name.txt"/></A>
            </c:otherwise>
         </c:choose>
      </TH>
      <%-- Create Date column --%>
      <TH class="centeredTableHeader">
		<c:set var='dir' value='${sessionScope.sortMap["amlcase.create_date"]}'/>
		<c:set var='varname' value="amlcase.create_date"/>
         <c:choose>
            <c:when test='${(sessionScope.sortMap != null && dir != null) || sortColumn == varname}'>
               <c:if test='${dir == "ASC" || (sortColumn == varname && sortOrder == "ASC")}'>
          		  <A href="NavigateCases?sortBy=<c:out value='${varname}'/>&sortDir=DESC&queryType=<c:out value='${queryType}'/>&itemStatus=<c:out value='${caseStatus}'/>" class="blueLink" title="<fmt:message key="sort.txt"/>"><bean:message key="alertList.date.txt"/>
                  <IMG src="../images/SortAscending.gif" align="absmiddle" border="0"></A>
               </c:if>
               <c:if test='${dir == "DESC" || (sortColumn == varname && sortOrder == "DESC")}'>
           		  <A href="NavigateCases?sortBy=<c:out value='${varname}'/>&sortDir=ASC&queryType=<c:out value='${queryType}'/>&itemStatus=<c:out value='${caseStatus}'/>" class="blueLink" title="<fmt:message key="sort.txt"/>"><bean:message key="alertList.date.txt"/>
                  <IMG src="../images/SortDescending.gif" align="absmiddle" border="0"></A>
               </c:if>
            </c:when>
            <c:otherwise>
       		   <A href="NavigateCases?sortBy=<c:out value='${varname}'/>&sortDir=ASC&queryType=<c:out value='${queryType}'/>&itemStatus=<c:out value='${caseStatus}'/>" class="blueLink" title="<fmt:message key="sort.txt"/>"><bean:message key="alertList.date.txt"/></A>
            </c:otherwise>
         </c:choose>
      </TH>
      <%-- Type column --%>
      <TH class="centeredTableHeader">
		<c:set var='dir' value='${sessionScope.sortMap["amlcase.case_type_code"]}'/>
		<c:set var='varname' value="amlcase.case_type_code"/>
         <c:choose>
            <c:when test='${(sessionScope.sortMap != null && dir != null) || sortColumn == varname}'>
               <c:if test='${dir == "ASC" || (sortColumn == varname && sortOrder == "ASC")}'>
 	              <A href="NavigateCases?sortBy=<c:out value='${varname}'/>&sortDir=DESC&queryType=<c:out value='${queryType}'/>&itemStatus=<c:out value='${caseStatus}'/>" class="blueLink" title="<fmt:message key="sort.txt"/>"><bean:message key="caseList.type.txt"/>
                  <IMG src="../images/SortAscending.gif" align="absmiddle" border="0"></A>
               </c:if>
               <c:if test='${dir == "DESC" || (sortColumn == varname && sortOrder == "DESC")}'>
       			  <A href="NavigateCases?sortBy=<c:out value='${varname}'/>&sortDir=ASC&queryType=<c:out value='${queryType}'/>&itemStatus=<c:out value='${caseStatus}'/>" class="blueLink" title="<fmt:message key="sort.txt"/>"><bean:message key="caseList.type.txt"/>
                  <IMG src="../images/SortDescending.gif" align="absmiddle" border="0"></A>
               </c:if>
            </c:when>
            <c:otherwise>
       		   <A href="NavigateCases?sortBy=<c:out value='${varname}'/>&sortDir=ASC&queryType=<c:out value='${queryType}'/>&itemStatus=<c:out value='${caseStatus}'/>" class="blueLink" title="<fmt:message key="sort.txt"/>"><bean:message key="caseList.type.txt"/></A>
            </c:otherwise>
         </c:choose>
      </TH>
      <%-- Availability column --%>
      <TH class="centeredTableHeader">
		 <c:choose>
			<c:when test='${queryType == "user"}'>
				<c:set var='dir' value='${sessionScope.sortMap["amlcase.group_id"]}'/>
				<c:set var='varname' value="group_id"/>
			</c:when>
			<c:when test='${queryType == "group"}'>
				<c:set var='dir' value='${sessionScope.sortMap["amlcase.display_name"]}'/>
				<c:set var='varname' value="display_name"/>
			</c:when>
		 </c:choose>
         <c:choose>
            <c:when test='${(sessionScope.sortMap != null && dir != null) || sortColumn == varname}'>
               <c:if test='${dir == "ASC" || (sortColumn == varname && sortOrder == "ASC")}'>
                  <A href="NavigateCases?sortBy=<c:out value='${varname}'/>&sortDir=DESC&queryType=<c:out value='${queryType}'/>&itemStatus=<c:out value='${caseStatus}'/>" class="blueLink" title="<fmt:message key="sort.txt"/>"><bean:message key="alertList.availability.txt"/>
                  <IMG src="../images/SortAscending.gif" align="absmiddle" border="0"></A>
               </c:if>
               <c:if test='${dir == "DESC" || (sortColumn == varname && sortOrder == "DESC")}'>
       			  <A href="NavigateCases?sortBy=<c:out value='${varname}'/>&sortDir=ASC&queryType=<c:out value='${queryType}'/>&itemStatus=<c:out value='${caseStatus}'/>" class="blueLink" title="<fmt:message key="sort.txt"/>"><bean:message key="alertList.availability.txt"/>
                  <IMG src="../images/SortDescending.gif" align="absmiddle" border="0"></A>
               </c:if>
            </c:when>
            <c:otherwise>
	           <A href="NavigateCases?sortBy=<c:out value='${varname}'/>&sortDir=ASC&queryType=<c:out value='${queryType}'/>&itemStatus=<c:out value='${caseStatus}'/>" class="blueLink" title="<fmt:message key="sort.txt"/>"><bean:message key="alertList.availability.txt"/></A>
            </c:otherwise>
         </c:choose>
      </TH>
   </TR>
   </THEAD>
   <TBODY>
   <%-- Start looping through rows of cases --%>
   <c:set var="counter" value="1" />
   <c:forEach var="cd" items="${caseDetails}" varStatus="current">
      <c:choose>
         <c:when test="${counter % 2 == 0}">
            <TR class="dataRow2_tableRow">
         </c:when>
         <c:otherwise>
            <TR class="dataRow1_tableRow">
         </c:otherwise>
      </c:choose>
      <TD class="imageTableCell">
      <%-- closed and suppressed call selectAlert function instead of setUserAlertPID --%>
		 <c:choose>
		    <c:when test='${caseStatus=="CLS"}'>
    	       <INPUT type="checkbox" name="caseIds" onclick="selectCase(this);" value="<c:out value="${cd.caseId}" />" >
        	</c:when>
        	<c:otherwise>
    	       <INPUT type="checkbox" name="caseIds" onclick="setUserCasePID(this);" value="<c:out value="${cd.caseId}" />" >
        	</c:otherwise>
		 </c:choose>
      </TD>
      <%-- user and available group only --%>
      <c:if test='${queryType == "user" || caseStatus == "ACT"}'>
        <TD class="imageTableCell" style="width:1%; white-space:nowrap;">
          <c:choose>
            <c:when test='${queryType=="user" || groupdetails != "disable"}'>
              <c:choose>
                <c:when test="${cd.openedIndicator=='Y'}">
                  <A id="caseHistory" href="javascript:showDetailWindow('AlertHistory?caseId=<c:out value="${cd.caseId}" />&caseDate=<c:out value="${cd.caseDate}" />&caseType=<c:out value="${cd.caseType}" />&caseReason=<c:out value="${cd.reason}"/>')"><IMG src="../images/TimeFolder.gif" border="0" align="absmiddle" alt="<fmt:message key="alertList.alertOpenedAltText.txt"/>"></A>
                </c:when>
                <c:otherwise>
                  <A id="caseHistory" href="javascript:showDetailWindow('AlertHistory?caseId=<c:out value="${cd.caseId}" />&caseDate=<c:out value="${cd.caseDate}" />&caseType=<c:out value="${cd.caseType}" />&caseReason=<c:out value="${cd.reason}"/>')"><IMG src="../images/Folder.gif" border="0" align="absmiddle" alt="<fmt:message key="alertList.alertUnopened.txt"/>"></A>
                </c:otherwise>
              </c:choose>
            </c:when>
            <c:otherwise>
              <c:choose>
                <c:when test="${cd.openedIndicator=='Y'}">
                  <IMG src="../images/TimeFolder.gif" border="0" align="absmiddle" alt="<fmt:message key="alertList.alertOpenedAltText.txt"/>">
                </c:when>
                <c:otherwise>
                  <IMG src="../images/Folder.gif" border="0" align="absmiddle" alt="<fmt:message key="alertList.alertUnopened.txt"/>">
                </c:otherwise>
              </c:choose>
            </c:otherwise>
          </c:choose>
          <c:choose>
            <c:when test="${cd.modifiedIndicator=='Y'}">
              <IMG src="../images/AlertCase.gif" border="0" align="absmiddle" alt="<fmt:message key="addtocase.case.tooltip.txt"/>">
            </c:when>
            <c:otherwise>
              <IMG src="../images/AlertCase_disabled.gif" border="0" align="absmiddle" alt="<fmt:message key="addtocase.case.disabled.tooltip.txt"/>">
            </c:otherwise>
          </c:choose>
          <%-- user only --%>
          <c:if test='${queryType=="user"}'>
            <c:choose>
              <c:when test="${cd.numIncompleteTasks > 0}">
                <a href='javascript:void(window.open("./TaskListWindow?actionType=<%= TaskListAction.PAGE_LOAD %>&caseID=<c:out value="${cd.caseId}" />", "Checklist", "height=505, width=795,resizable=yes,scrollbars=yes,status=yes"))'>
                  <IMG src="../images/TaskListActive.gif" alt="<fmt:message key="taskList.case.tooltip.txt"/> (<c:out value="${cd.numIncompleteTasks}" />)" border="0">
                </a>
              </c:when>
              <c:otherwise>
                <a href='javascript:void(window.open("./TaskListWindow?actionType=<%= TaskListAction.PAGE_LOAD %>&caseID=<c:out value="${cd.caseId}" />", "Checklist", "height=505, width=795,resizable=yes,scrollbars=yes,status=yes"))'>
                  <IMG src="../images/TaskList.gif" alt="<fmt:message key="taskList.case.tooltip.txt"/>" border="0">
                </a>
              </c:otherwise>
            </c:choose>
            <A HREF="CaseComments?caseId=<c:out value="${cd.caseId}" />&queryType=user" onclick="window.open(this.href, 'sasaml_comments', 'scrollbars=1,width=675,height=700,resizable=1');  return false;">
              <c:choose>
                <c:when test="${cd.commentCount>0}">
                  <IMG src="../images/CommentWithContent.gif" border="0" align="absmiddle" alt="<fmt:message key="alertList.alertAddComment.txt"/> (<c:out value="${cd.commentCount}" />)">
                </c:when>
                <c:otherwise>
                  <IMG src="../images/Comment.gif" border="0" align="absmiddle" alt="<fmt:message key="alertList.alertAddComment.txt"/>">
                </c:otherwise>
              </c:choose>
            </A>
            <c:choose>
              <c:when test="${aml:userHasCapability(sasamlProfile,'CASE_ADD_VIEW_DOCUMENTS') and adddocuments == 'enable'}">
                <A HREF="CaseDocuments?caseId=<c:out value="${cd.caseId}" />&queryType=user" onclick="window.open(this.href, 'sasaml_documents', 'scrollbars=1,width=675,height=600,resizable=1');  return false;">
                  <c:choose>
                    <c:when test="${cd.documentCount>0}">
                      <IMG src="../images/AttachmentWithContent.gif" border="0" align="absmiddle" alt="<fmt:message key="alertList.alertAddDocument.txt"/> (<c:out value="${cd.documentCount}" />)">
                    </c:when>
                    <c:otherwise>
                      <IMG src="../images/Attach.gif" border="0" align="absmiddle" alt="<fmt:message key="alertList.alertAddDocument.txt"/>">
                    </c:otherwise>
                  </c:choose>
                </A>
              </c:when>
              <c:otherwise>
                <c:choose>
                  <c:when test="${cd.documentCount>0}">
                    <IMG src="../images/AttachmentWithContent_disabled.gif" border="0" align="absmiddle" alt="<fmt:message key="alertList.alertAddDocument.txt"/> (<c:out value="${cd.documentCount}" />)">
                  </c:when>
                  <c:otherwise>
                    <IMG src="../images/Attach_disabled.gif" border="0" align="absmiddle" alt="<fmt:message key="alertList.alertAddDocument.txt"/>">
                  </c:otherwise>
                </c:choose>
              </c:otherwise>
            </c:choose>
            <c:choose>
              <c:when test='${mail != "disable" && aml:userHasCapability(sasamlProfile,"CASE_SEND_EMAIL")}'>
                <A HREF="CaseEmail?caseId=<c:out value="${cd.caseId}" />" onclick="window.open(this.href, 'sasaml_email', 'scrollbars=1,width=775,height=675');  return false;">
                  <IMG src="../images/Email.gif" border="0" align="absmiddle" alt="<fmt:message key="alertList.alertSendEmail.txt"/>">
                </A>
              </c:when>
              <c:otherwise>
                <IMG src="../images/Email_disabled.gif" border="0" align="absmiddle" alt="<fmt:message key="alertList.alertSendEmail.txt"/>">
              </c:otherwise>
            </c:choose>
          </c:if>
        </TD>
      </c:if>

      <%-- all except user check for groupdetails != "disable" to determine if a link should be displayed or static text --%>
      <c:choose>
        <c:when test='${queryType=="user" || groupdetails != "disable"}'>
           <TD class="imageTableCell">
              <A href="javascript:showDetailWindow('EntityDetail?caseId=<c:out value="${cd.caseId}" />&userId=<c:out value="${cd.userId}" />&queryType=<c:out value="${queryType}" />','true')"><B><c:out value="${cd.caseId}" /></B></A>
           </TD>
        </c:when>
        <c:otherwise>
           <TD class="imageTableCell">
           	<c:out value="${cd.caseId}" />
           </TD>
        </c:otherwise>
     </c:choose>
     <TD class="imageTableCell">
        <c:if test='${cd.caseEntity != null}'>
          <c:url var="popupURL" value="PopupTooltip">
            <c:param name="custKey"><c:out value="${cd.entityKey}" /></c:param>
          </c:url>
          <c:choose>
            <c:when test='${sasamlProfile.enableListLinks && (queryType=="user" || groupdetails != "disable")}'>
              <A href="javascript:showDetailWindow('EntityDetail?custKey=<c:out value="${cd.entityKey}" />&caseId=<c:out value="${cd.caseId}" />&caseDateTime=<c:out value="${cd.caseDateTime}" />&queryType=<c:out value="${queryType}" />')"
                        onmouseover="showPopup(event,'<c:out value="${popupURL}"/>');" onmouseout="hidePopup('popupDiv');">
                <c:out value="${cd.caseEntity}" />
              </A>
            </c:when>
            <c:otherwise>
              <A style="color:#275e94;text-decoration:none;font-style:italic;" onmouseover="showPopup(event,'<c:out value="${popupURL}"/>');" onmouseout="hidePopup('popupDiv');">
                <c:out value="${cd.caseEntity}" />
              </A>
            </c:otherwise>
          </c:choose>
        </c:if>
        <c:if test='${cd.caseEntity == null}'>
          &nbsp;
        </c:if>
     </TD>
     <c:if test='${cd.entityName != null}'>
     	<TD class="imageTableCell"><c:out value="${cd.entityName}" /></TD>
     </c:if>
     <c:if test='${cd.entityName == null}'>
     	<TD class="imageTableCell">&nbsp;</TD>
     </c:if>
     <TD class="imageTableCell"><fmt:formatDate value="${cd.caseDate}" /></TD>
     <TD class="imageTableCell"><c:out value="${cd.caseType}" /></TD>
     <%-- group is totally different, closed cases display "Activate" --%>
     <TD class="imageTableCell">
        <c:choose>
        <%-- My Alerts displays Check In or ***** --%>
        <c:when test='${queryType=="user"}'>
           <c:if test='${cd.userRole == "STAND"}'>
              <A href="CheckInCase?caseId=<c:out value="${cd.caseId}" />&currentOwnerId=<c:out value="${currentUserId}" />" target="_parent"><fmt:message key="alertList.checkIn.txt"/></A>
           </c:if>
           <c:if test='${cd.userRole == "INIT"}'>
              <fmt:message key="alertList.stars.txt"/>
           </c:if>
        </c:when>
        <%-- Available Cases displays Check Out or case owner name --%>
        <c:when test='${queryType=="group" && caseStatus=="ACT"}'>
           <c:choose>
              <c:when test='${cd.availability== "#"}'>
                 <A href="CheckOutCase?caseId=<c:out value="${cd.caseId}" />" target="_parent"><fmt:message key="alertList.checkOut.txt"/></A>
              </c:when>
              <c:when test="${aml:userHasCapability(sasamlProfile,'CASE_TAKE_OWNERSHIP') && not empty cd.availability}">
                 <c:choose>
                    <c:when test="${cd.groupId == -1}">
                        <input type="hidden" name='confirmForceCheckout<c:out value="${cd.caseId}" />' value="<fmt:message key='confirmCaseForceCheckoutOwner.fmt.txt'><fmt:param value='${cd.availability}'/></fmt:message>"/>
                    </c:when>
                    <c:otherwise>
                        <input type="hidden" name='confirmForceCheckout<c:out value="${cd.caseId}" />' value="<fmt:message key='confirmCaseForceCheckout.fmt.txt'><fmt:param value='${cd.availability}'/></fmt:message>"/>
                    </c:otherwise>
                 </c:choose>
                 <A href='JavaScript:confirmForceCheckOut("<c:out value="${cd.availability}"  />","<c:out value="${cd.caseId}" />","ForceCheckIn?caseId=<c:out value="${cd.caseId}" />&currentOwnerId=<c:out value="${cd.userId}" />")'>
                    <c:out value="${cd.availability}" />
                 </A>
              </c:when>
              <c:otherwise>
                 <c:out value="${cd.availability}" />
              </c:otherwise>
           </c:choose>
        </c:when>
        <%-- Closed Cases display Activate --%>
        <c:otherwise>
           <A href="ActivateCase?caseId=<c:out value="${cd.caseId}" />&caseStatus=<c:out value='${caseStatus}'/>" target="_parent">
              <fmt:message key="activate.txt"/>
           </A>
		</c:otherwise>
		</c:choose>
     </TD>
  </TR>
  <c:set var="counter" value="${counter + 1}" />
  </c:forEach>
  </TBODY>
</TABLE>

