/*BEGIN FILE DESCRIPTOR

===============================================================================
| NAME:        | notify_manager_messages.sas
| DESCRIPTION: | Externalize email messages in notify_manager.sas
===============================================================================

LONG DESCRIPTION:
Externalizes text strings contained in the header and body of the email
generated by notify_manager.sas so that they may be internationalized by the
client.

================================================================================
Copyright (c) 2012 by SAS Institute Inc., Cary, NC 27513
================================================================================

END FILE DESCRIPTOR */


/*=======================*/
/* BEGIN MESSAGE ENTRIES */
/*=======================*/


/*==============================================================================
Each macro variable name below corresponds to the respective message in the
notify_manager.sas program. The comment above each macro is the name of the
respective target (message) in the notify_manager.sas program.

To change the message value simply change
the text string within the parans after each %str function.
==============================================================================*/

/* Subject */
%let nMsg = %str(E-postvarsel om alarmer eldre enn &age. dag(er));

/* textbody1 */
%let nMsg1 = %str(Vedlagte fil(er) inneholder alarm(er) som er eldre enn &age. dag(er).);

/* textbody2 */
%let nMsg2 = %str( );

/* textbody3 */
%let nMsg3 = %str(Direkte overordnet: );

/* textbody4 and textbody&numTextBody */
%let nMsg4 = %str(Etterforsker: );

/*=======================*/
/* END MESSAGE ENRTIES   */
/*=======================*/
