/*BEGIN FILE DESCRIPTOR

===============================================================================
| NAME:        | send_alert_reminder_messages.sas
| DESCRIPTION: | Externalize email messages in send_alert_reminder.sas
===============================================================================

LONG DESCRIPTION:
Externalizes text strings contained in the header and body of the email generated
by send_alert_reminder.sas so that they may be internationalized for the client.

================================================================================
Copyright (c) 2012 by SAS Institute Inc., Cary, NC 27513
================================================================================

END FILE DESCRIPTOR */

/*=======================*/
/* BEGIN MESSAGE ENTRIES */
/*=======================*/


/*==============================================================================
Each macro variable name below corresponds to the respective message in the
send_alert_reminder.sas program. The comment above each macro is the name of the
respective target (message) in the send_alert_reminder.sas program.

To change the message value simply change
the text string within the parans after each %str function.
==============================================================================*/


/* Subject */
%let sMsg = %str(E-postpminnelse for alarm  );

/* textbody1 */
%let sMsg1 = %str(Alarmbeskrivelse: );

/* textbody2 */
%let sMsg2 = %str(Alarmstatus: );

/* textbody3 */
%let sMsg3 = %str(Emne: );

/* textbody4 */
%let sMsg4 = %str(Emnenummer: );

/* textbody5 */
%let sMsg5 = %str(Navn: );

/* textbody6 */
%let sMsg6 = %str( );

/* textbody7 */
%let sMsg7 = %str(Risikopoeng for hvitvasking: );

/* textbody8 */
%let sMsg8 = %str(Risikopoeng for terrorfinansiering: );

/* textbody9 */
%let sMsg9 = %str( );

/* textbody10 */
%let sMsg10 = %str(Utfrelsesdato:);

/* textbody11 */
%let sMsg11 = %str(Opprettelsesdato: );

/* textbody12 */
%let sMsg12 = %str(Eier: );

/*=======================*/
/* END MESSAGE ENTRIES   */
/*=======================*/
